<?php
/**
* OpenPHPNuke: Great Web Portal System
*
* Copyright (c) 2001-2013 by
* Heinz Hombergs
* Stefan Kaletta stefan@kaletta.de
* Alexander Weber xweber@kamelfreunde.de
*
* This program is free software. You can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation; either version 2 of the License.
* See LICENSE for details.
*
* This software is based on various code found in the internet
* See CREDITS for details
* If you are an author of a part of opn and not you are not mentioned
* SORRY for that ! We respect your rights to your code, so please send
* an eMail to devteam@openphpnuke.com we will include you to the CREDITS asap
*/

include ('admin_header.php');
global $opnConfig, $opnTables;

$opnConfig['module']->InitModule ('modules/classifieds', true);
include_once (_OPN_ROOT_PATH . _OPN_CLASS_SOURCE_PATH . 'class.opn_categorie.functions.php');
include_once (_OPN_ROOT_PATH . _OPN_CLASS_SOURCE_PATH . 'class.opn_categorie.php');
include_once (_OPN_ROOT_PATH . _OPN_CLASS_SOURCE_PATH . 'mail/class.mail.php');
include_once (_OPN_ROOT_PATH . _OPN_CLASS_SOURCE_PATH . 'class.opn_admin_menu.php');
include_once (_OPN_ROOT_PATH . 'include/module.build_pagebar.php');
include_once (_OPN_ROOT_PATH . 'modules/classifieds/api/api.php');
include_once (_OPN_ROOT_PATH . 'modules/classifieds/include/action_function.php');
include_once (_OPN_ROOT_PATH . 'modules/classifieds/admin/new_functions.php');
include_once (_OPN_ROOT_PATH . 'modules/classifieds/admin/mod_functions.php');
include_once (_OPN_ROOT_PATH . 'modules/classifieds/admin/del_functions.php');

InitLanguage ('modules/classifieds/admin/language/');

$eh = new opn_errorhandler ();
$mf = new CatFunctions ('classifieds_product', false);
$mf->itemtable = $opnTables['classifieds_product'];
$mf->itemid = 'lid';
$mf->itemlinkm = 'cid';
$categories = new opn_categorie ('classifieds_product', 'classifieds_product');
$categories->SetModule ('modules/classifieds');
$categories->SetImagePath ($opnConfig['datasave']['classifieds_product_categorie']['path']);
$categories->SetItemID ('lid');
$categories->SetItemLink ('cid');
$categories->SetScriptname ('index');
$categories->SetWarning (_CLASSFIEDS_ADMIN_WARNING);

function classifiedsConfigHead (&$foot) {

	global $opnTables, $opnConfig;

	$opnConfig['opnOutput']->SetDisplayVar ('title_help_id', '_OPNDOCID_MODULES_CLASSIFIEDS_10_');
	$opnConfig['opnOutput']->SetDisplayVar ('module', 'modules/classifieds');
	$opnConfig['opnOutput']->SetDisplayVar (false, true, 1);

	$opnConfig['opnOutput']->SetJavaScript ('all');
	$opnConfig['opnOutput']->EnableJavaScript ();

	$opnConfig['opnOutput']->SetDisplayAdminHeader (true);
	$opnConfig['opnOutput']->DisplayHead ();

	$boxtxt = '';
	$menu = new opn_admin_menu (_CLASSFIEDS_ADMIN_MENU);
	$menu->SetMenuPlugin ('modules/classifieds');
	$menu->InsertMenuModule ();

	$menu->InsertEntry (_OPN_ADMIN_MENU_WORKING, _CLASSFIEDS_ADMIN_CLASSFIEDS, _CLASSFIEDS_ADMIN_VIEW, array ($opnConfig['opn_url'] . '/modules/classifieds/admin/index.php','op' => 'list') );

	$result = &$opnConfig['database']->Execute ('SELECT COUNT(cat_id) AS counter FROM ' . $opnTables['classifieds_product_cats']);
	if ( ($result !== false) && (isset ($result->fields['counter']) ) ) {
		$numrows = $result->fields['counter'];
	} else {
		$numrows = 0;
	}
	if ($numrows != 0) {
		$menu->InsertEntry (_OPN_ADMIN_MENU_WORKING, _CLASSFIEDS_ADMIN_CLASSFIEDS, _CLASSFIEDS_ADMIN_ADD_NEW, array ($opnConfig['opn_url'] . '/modules/classifieds/admin/index.php','op' => 'edit') );
	}
	$menu->InsertEntry (_OPN_ADMIN_MENU_WORKING, '', _CLASSFIEDS_ADMIN_CATEGORYMENU, array ($opnConfig['opn_url'] . '/modules/classifieds/admin/index.php','op' => 'catConfigMenu') );

	if ($opnConfig['permission']->HasRights ('modules/classifieds', array (_PERM_SETTING, _PERM_ADMIN), true) ) {
		$menu->InsertEntry (_OPN_ADMIN_MENU_WORKING, '', _CLASSFIEDS_ADMIN_SETTINGS, $opnConfig['opn_url'] . '/modules/classifieds/admin/settings.php', '');
	}
	if ($opnConfig['permission']->HasRights ('modules/classifieds', array (_PERM_NEW, _PERM_ADMIN), true)) {
		$result = &$opnConfig['database']->Execute ('SELECT COUNT(lid) AS counter FROM ' . $opnTables['classifieds_product'] . ' WHERE status=0');
		if (isset ($result->fields['counter']) ) {
			$totalnewlinks = $result->fields['counter'];
		} else {
			$totalnewlinks = 0;
		}
		if ($totalnewlinks>0) {
			$menu->InsertEntry (_OPN_ADMIN_MENU_WORKING, '', _CLASSFIEDS_ADMIN_NEWREQUEST . ' (' . $totalnewlinks . ')', array ($opnConfig['opn_url'] . '/modules/classifieds/admin/index.php', 'op' => 'listallnew') );
			$result->close ();
		}
	}
	if ($opnConfig['permission']->HasRights ('modules/classifieds', array (_PERM_EDIT, _PERM_ADMIN), true)) {
		$result = &$opnConfig['database']->Execute ('SELECT COUNT(rid) AS counter FROM ' . $opnTables['classifieds_product_mod']);
		if (isset ($result->fields['counter']) ) {
			$totalmodrequests = $result->fields['counter'];
		} else {
			$totalmodrequests = 0;
		}
		if ($totalmodrequests>0) {
			$menu->InsertEntry (_OPN_ADMIN_MENU_WORKING, '', _CLASSFIEDS_ADMIN_MODIFICATIONREQUEST . ' (' . $totalmodrequests . ')', array ($opnConfig['opn_url'] . '/modules/classifieds/admin/index.php',
															'op' => 'listallmod') );
			$result->close ();
		}
	}
	if ($opnConfig['permission']->HasRights ('modules/classifieds', array (_PERM_DELETE, _PERM_ADMIN), true)) {
		$result = &$opnConfig['database']->Execute ('SELECT COUNT(lid) AS counter FROM ' . $opnTables['classifieds_product'] . ' WHERE status=2');
		if (isset ($result->fields['counter']) ) {
			$totaldelrequests = $result->fields['counter'];
		} else {
			$totaldelrequests = 0;
		}
		if ($totaldelrequests>0) {
			$menu->InsertEntry (_OPN_ADMIN_MENU_WORKING, '', _CLASSFIEDS_ADMIN_DELETEREQUEST . ' (' . $totaldelrequests . ')', array ($opnConfig['opn_url'] . '/modules/classifieds/admin/index.php',
															'op' => 'listalldel') );
			$result->close ();
		}
	}

	$boxtxt .= $menu->DisplayMenu ();
	$boxtxt .= '<br />';
	unset ($menu);

	$result = &$opnConfig['database']->Execute ('SELECT COUNT(lid) AS counter FROM ' . $opnTables['classifieds_product'] . ' WHERE status>0');
	if (isset ($result->fields['counter']) ) {
		$numrows = $result->fields['counter'];
	} else {
		$numrows = 0;
	}
	if ($numrows != 0) {
		$foot = _CLASSFIEDS_ADMIN_THEREARE . ' <strong>' . $numrows . '</strong> ' . _CLASSFIEDS_ADMIN_INOURDATABASE;
	}
	return $boxtxt;

}

function classifieds_list () {

	global $opnTables, $opnConfig;

	include_once (_OPN_ROOT_PATH . _OPN_CLASS_SOURCE_PATH . 'engine/gui_engine/class.construct_gui_layer.php');

	$boxtxt = '';

	$dialog = load_gui_construct ('liste');
	$dialog->setModule  ('modules/classifieds');
	$dialog->setlisturl ( array ($opnConfig['opn_url'] . '/modules/classifieds/admin/index.php', 'op' => 'list') );
	$dialog->setediturl ( array ($opnConfig['opn_url'] . '/modules/classifieds/admin/index.php', 'op' => 'edit') );
	$dialog->setdelurl ( array ($opnConfig['opn_url'] . '/modules/classifieds/admin/index.php', 'op' => 'del') );
	$dialog->settable  ( array (	'table' => 'classifieds_product',
					'show' => array (
							'lid' => false,
							'title' => _CLASSFIEDS_ADMIN_NAME,
							'uid' => _CLASSFIEDS_ADMIN_FORM_UID,
							'wdate' => _CLASSFIEDS_ADMIN_DATE),
					'type' => array ('wdate' => _OOBJ_DTYPE_DATE,
										'uid' => _OOBJ_DTYPE_UID),
					'id' => 'lid') );
	$dialog->setid ('lid');
	$boxtxt = $dialog->show ();

	return $boxtxt;

}

function classifieds_edit () {

	global $opnTables, $opnConfig;

	$boxtxt = '';

	$lid = 0;
	get_var ('lid', $lid, 'both', _OOBJ_DTYPE_INT);

	$ui = $opnConfig['permission']->GetUserinfo ();
	$uid = $ui['uid'];

	if ($opnConfig['permission']->HasRights ('modules/classifieds', array (_PERM_NEW, _PERM_ADMIN), true) ) {

		$temp = array();
		api_classifieds_get_work_array ($temp);

		if ($lid != 0) {
			$opnConfig['opnOutput']->SetOnlineHelpFlag ('_OPNHELPID_MODULES_CLASSIFIEDS_10_' , 'modules/classifieds');
			$boxtxt = '<h4>' . _CLASSFIEDS_ADMIN_MODIFENTRY . '</h4><br />';

			$keys = '';
			api_classifieds_get_keys ($keys);
			$select = '';
			$opnConfig['opnSQL']->opn_make_select ($keys, $select);
			$result = &$opnConfig['database']->Execute ('SELECT ' . $select . ' FROM ' . $opnTables['classifieds_product'] . ' WHERE (lid=' . $lid.')');
			if ($result !== false) {
				$opnConfig['opnSQL']->get_result_array ($temp, $result, $keys);
			}
		} else {
			$opnConfig['opnOutput']->SetOnlineHelpFlag ('_OPNHELPID_MODULES_CLASSIFIEDS_10_' , 'modules/classifieds');
			$boxtxt .= '<h4>' . _CLASSFIEDS_ADMIN_ADDNEWENTRY . '</h4>';
		}

		$form = new opn_FormularClass ('listalternator');
		$form->Init ('' . $opnConfig['opn_url'] . '/modules/classifieds/admin/index.php');
		$form->AddTable ();
		$form->AddCols (array ('10%', '90%') );

		$mf = new CatFunctions ('classifieds_product', false);
		$mf->itemtable = $opnTables['classifieds_product'];
		$mf->itemid = 'lid';
		$mf->itemlinkm = 'cid';

		$form->AddChangeRow ();
		$iamadmin = $opnConfig['permission']->HasRights ('modules/classifieds', array (_PERM_ADMIN), true);

		if ($iamadmin) {
			$form->AddLabel ('uid', _CLASSFIEDS_ADMIN_FORM_UID);
			$form->AddTextfield ('uid', 50, 100,$temp['uid']);
			$form->AddChangeRow ();
		}

		$form->AddLabel ('title', _CLASSFIEDS_ADMIN_FORM_TITLE);
		$form->AddTextfield ('title', 50, 100, $temp['title']);
		$form->AddChangeRow ();

		$form->AddLabel ('price', _CLASSFIEDS_ADMIN_FORM_PRICE);
		$form->AddTextfield ('price', 20, 100, $temp['price']);
		$form->AddChangeRow ();

		$form->AddLabel ('cid', _CLASSFIEDS_ADMIN_FORM_CATEGORY);
		$mf->makeMySelBox ($form, $temp['cid'], 0, 'cid');
		$form->AddChangeRow ();

		$form->AddLabel ('description', _CLASSFIEDS_ADMIN_FORM_DESCRIPTION);
		$form->AddTextfield ('description', 50, 250, $temp['description']);
		$form->AddChangeRow ();

		$form->UseEditor (false);
		$form->UseWysiwyg (false);
		$form->AddLabel ('descriptionlong', _CLASSFIEDS_ADMIN_FORM_DESCRIPTIONLONG);
		$form->AddTextarea ('descriptionlong', 75, 10, '', $temp['descriptionlong']);
		$form->AddChangeRow ();

		$form->UseEditor (false);
		$form->UseWysiwyg (false);
		$form->AddLabel ('keywords', _CLASSFIEDS_ADMIN_FORM_KEYWORDS);
		$form->AddTextarea ('keywords', 75, 10, '', $temp['keywords']);
		$form->AddChangeRow ();

		$form->AddLabel ('email', _CLASSFIEDS_ADMIN_FORM_EMAIL);
		$form->AddTextfield ('email', 50, 250, $temp['email']);
		$form->AddChangeRow ();

		$form->AddLabel ('telefon', _CLASSFIEDS_ADMIN_FORM_TELEFON);
		$form->AddTextfield ('telefon', 50, 25, $temp['telefon']);
		$form->AddChangeRow ();

		$form->AddLabel ('telefax', _CLASSFIEDS_ADMIN_FORM_TELEFAX);
		$form->AddTextfield ('telefax', 50, 25, $temp['telefax']);
		$form->AddChangeRow ();

		$form->AddLabel ('street', _CLASSFIEDS_ADMIN_FORM_STREET);
		$form->AddTextfield ('street', 50, 100, $temp['street']);
		$form->AddChangeRow ();

		$form->AddLabel ('zip', _CLASSFIEDS_ADMIN_FORM_ZIP);
		$form->AddTextfield ('zip', 50, 8, $temp['zip']);
		$form->AddChangeRow ();

		$form->AddLabel ('city', _CLASSFIEDS_ADMIN_FORM_CITY);
		$form->AddTextfield ('city', 50, 100, $temp['city']);
		$form->AddChangeRow ();

		$form->AddLabel ('state', _CLASSFIEDS_ADMIN_FORM_STATE);
		$form->AddTextfield ('state', 50, 100, $temp['state']);
		$form->AddChangeRow ();

		$form->AddLabel ('coutry', _CLASSFIEDS_ADMIN_FORM_COUNTRY);
		$form->AddTextfield ('country', 50, 100, $temp['country']);
		$form->AddChangeRow ();

		if ($lid != 0) {
			$form->AddChangeRow ();
			$form->SetSameCol ();
			$form->AddHidden ('lid', $temp['lid']);
			$form->AddHidden ('op', 'save');
			$form->SetEndCol ();
			$form->SetSameCol ();
			$form->AddSubmit ('submity', _OPNLANG_MODIFY);
			$form->AddText ('&nbsp;');
			$form->AddSubmit ('op', _CLASSFIEDS_ADMIN_DELETE);
			$form->AddText ('&nbsp;');
			$form->AddButton ('Back', _CLASSFIEDS_ADMIN_CANCEL, '', '', 'javascript:history.go(-1)');
			$form->SetEndCol ();
		} else {
			$form->AddHidden ('op', 'add');
			$form->AddSubmit ('submit', _OPNLANG_ADDNEW);
		}
		$form->AddCloseRow ();
		$form->AddTableClose ();
		$form->AddFormEnd ();
		$form->GetFormular ($boxtxt);
	}
	return $boxtxt;

}
function classifieds_add () {

	global $opnConfig;

	$dat = array();
	api_classifieds_get_var ($dat, false);
	$ui = $opnConfig['permission']->GetUserinfo ();
	$dat['uid'] = $ui['uid'];
	$dat['status'] = 1;

	$opnConfig['opndate']->now ();
	$dat['wdate'] = '';
	$opnConfig['opndate']->opnDataTosql ($dat['wdate']);

	api_classifieds_add ($dat);

	$boxtxt = _CLASSFIEDS_ADMIN_NEWENTRYADDTODATA . '<br />';
	return $boxtxt;

}

function classifieds_save () {

	global $opnConfig, $opnTables;

	$lid = 0;
	get_var ('lid', $lid, 'both', _OOBJ_DTYPE_INT);

	$typs = '';
	api_classifieds_get_keys_typ ($typs);
	$keys = '';
	api_classifieds_get_keys ($keys, false);

	$dat = array();
	api_classifieds_get_var ($dat, false);

	$ui = $opnConfig['permission']->GetUserinfo ();

	$opnConfig['opndate']->now ();
	$dat['wdate'] = '';
	$opnConfig['opndate']->opnDataTosql ($dat['wdate']);

	unset ($dat['lid']);
	unset ($dat['uid']);
	unset ($dat['status']);

	$opnConfig['opnSQL']->qstr_array ($dat, '', $typs);
	$update = '';
	$opnConfig['opnSQL']->opn_make_update ($keys, $dat, $update);
	$opnConfig['database']->Execute ('UPDATE ' . $opnTables['classifieds_product'] . " SET $update WHERE lid=$lid");

	$boxtxt = _CLASSFIEDS_ADMIN_DATABASEUPDASUC;
	return $boxtxt;

}


function classifieds_del () {

	global $opnConfig, $opnTables;

	$lid = 0;
	get_var ('lid', $lid, 'both', _OOBJ_DTYPE_INT);

	classifieds_delete_entry ($lid, false);

	$boxtxt = _CLASSFIEDS_ADMIN_LINKDELETED;
	return $boxtxt;

}

$foot = '';
$boxtxt = classifiedsConfigHead ($foot);

$op = '';
get_var ('op', $op, 'both', _OOBJ_DTYPE_CLEAN);
$ok = '';
get_var ('ok', $ok, 'both', _OOBJ_DTYPE_INT);

switch ($op) {
	default:
		break;
	case 'catConfigMenu':
		$boxtxt .= $categories->DisplayCats ();
		break;
	case 'addCat':
		$categories->AddCat ();
		break;
	case 'delCat':
		if (!$ok) {
			$boxtxt .= $categories->DeleteCat ('');
		} else {
			$categories->DeleteCat ('classifieds_delete_entry');
		}
		break;
	case 'modCat':
		$boxtxt .= $categories->ModCat ();
		break;
	case 'modCatS':
		$categories->ModCatS ();
		break;
	case 'OrderCat':
		$categories->OrderCat ();
		break;


	case 'list':
		$boxtxt .= classifieds_list ();
		break;
	case 'add':
		if ($opnConfig['permission']->HasRights ('modules/classifieds', array (_PERM_NEW, _PERM_EDIT, _PERM_DELETE, _PERM_ADMIN), true)) {
			$boxtxt .= classifieds_add ();
		}
		break;
	case 'save':
		if ($opnConfig['permission']->HasRights ('modules/classifieds', array (_PERM_NEW, _PERM_EDIT, _PERM_DELETE, _PERM_ADMIN), true)) {
			$boxtxt .= classifieds_save ();
		}
		break;
	case 'edit':
		if ($opnConfig['permission']->HasRights ('modules/classifieds', array (_PERM_EDIT, _PERM_ADMIN), true)) {
			$boxtxt .= classifieds_edit ();
		}
		break;
	case 'del':
		if ($opnConfig['permission']->HasRights ('modules/classifieds', array (_PERM_DELETE, _PERM_ADMIN), true)) {
			$boxtxt .= classifieds_del ();
		}
		break;

	case 'listallmod':
		if ($opnConfig['permission']->HasRights ('modules/classifieds', array (_PERM_EDIT, _PERM_ADMIN), true)) {
			$boxtxt .= classifieds_listallmod ();
		}
		break;
	case 'acceptmod':
		if ($opnConfig['permission']->HasRights ('modules/classifieds', array (_PERM_EDIT, _PERM_ADMIN), true)) {
			$boxtxt .= acceptmod ();
		}
		break;
	case 'ignoremod':
		if ($opnConfig['permission']->HasRights ('modules/classifieds', array (_PERM_EDIT, _PERM_ADMIN), true)) {
			$boxtxt .= ignoremod ();
		}
		break;


	case 'listallnew':
		if ($opnConfig['permission']->HasRights ('modules/classifieds', array (_PERM_NEW, _PERM_ADMIN), true)) {
			$boxtxt .= classifieds_listallnew ();
		}
		break;
	case 'addallnew':
		if ($opnConfig['permission']->HasRights ('modules/classifieds', array (_PERM_NEW, _PERM_ADMIN), true)) {
			$boxtxt .= classifieds_addnew ();
		}
		break;
	case 'delallnew':
		if ($opnConfig['permission']->HasRights ('modules/classifieds', array (_PERM_NEW, _PERM_ADMIN), true)) {
			$boxtxt .= classifieds_delallnew ();
		}
		break;
	case 'delnew':
		if ($opnConfig['permission']->HasRights ('modules/classifieds', array (_PERM_DELETE, _PERM_ADMIN), true)) {

			$lid = '';
			get_var ('lid', $lid, 'both', _OOBJ_DTYPE_INT);

			$boxtxt .= classifieds_delnew ($lid);
		}
		break;
	case 'addsinglenew':
		if ($opnConfig['permission']->HasRights ('modules/classifieds', array (_PERM_NEW, _PERM_ADMIN), true)) {
			$boxtxt .= classifieds_addsinglenew ();
		}
		break;

	case 'listalldel':
		if ($opnConfig['permission']->HasRights ('modules/classifieds', array (_PERM_DELETE, _PERM_ADMIN), true)) {
			$boxtxt .= classifieds_listalldel ();
		}
		break;
	case 'acceptdel':
		if ($opnConfig['permission']->HasRights ('modules/classifieds', array (_PERM_DELETE, _PERM_ADMIN), true)) {
			$boxtxt .= classifieds_acceptdel ();
		}
		break;
	case 'noacceptdel':
		if ($opnConfig['permission']->HasRights ('modules/classifieds', array (_PERM_DELETE, _PERM_ADMIN), true)) {
			$boxtxt .= classifieds_noacceptdel ();
		}
		break;


}

$opnConfig['opnOutput']->SetDisplayVar ('title_help_id', '_OPNDOCID_PRO_CLASSFIEDS_ADMIN_');
$opnConfig['opnOutput']->SetDisplayVar ('module', 'modules/classifieds');
$opnConfig['opnOutput']->SetDisplayVar (false, true, 1);

$opnConfig['opnOutput']->DisplayCenterbox (_CLASSFIEDS_ADMIN_MENU, $boxtxt, $foot);
$opnConfig['opnOutput']->DisplayFoot ();

?>