<?php
/**
* OpenPHPNuke: Great Web Portal System
*
* Copyright (c) 2001-2013 by
* Heinz Hombergs
* Stefan Kaletta stefan@kaletta.de
* Alexander Weber xweber@kamelfreunde.de
*
* This program is free software. You can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation; either version 2 of the License.
* See LICENSE for details.
*
* This software is based on various code found in the internet
* See CREDITS for details
* If you are an author of a part of opn and not you are not mentioned
* SORRY for that ! We respect your rights to your code, so please send
* an eMail to devteam@openphpnuke.com we will include you to the CREDITS asap
*/

function classifieds_listallnew () {

	global $opnTables, $opnConfig;

	// List links waiting for validation

	$keys = '';
	api_classifieds_get_keys ($keys);
	$select = '';
	$opnConfig['opnSQL']->opn_make_select ($keys, $select);

	$result = &$opnConfig['database']->Execute ('SELECT '.$select.' FROM ' . $opnTables['classifieds_product'] . ' WHERE (status=0) ORDER BY wdate DESC');
	$numrows = $result->RecordCount ();
	$boxtxt = '<h4>' . _CLASSFIEDS_ADMIN_CLASSFIEDS_WAITINGVALIDATION . '&nbsp;(' . $numrows . ')</h4><br /><br />';
	if ($numrows>0) {
		$boxtxt .= '<div align="left"><a class="txtbutton" href="' . encodeurl (array ($opnConfig['opn_url'] . '/modules/classifieds/admin/index.php', 'op' => 'addallnew')) . '">' . _CLASSFIEDS_ADMIN_ADDALLNEWENTRY . '</a>    ';
		$boxtxt .= '<a class="txtbutton" href="' . encodeurl (array ($opnConfig['opn_url'] . '/modules/classifieds/admin/index.php', 'op' =>'delallnew')) . '">' . _CLASSFIEDS_ADMIN_DELALLNEWENTRY . '</a></div><br />';
		$form = new opn_FormularClass ('listalternator');
		while (! $result->EOF) {

			$temp = array ();
			$opnConfig['opnSQL']->get_result_array ($temp, $result, $keys);

			$lid = $result->fields['lid'];
			$opnConfig['opnOutput']->SetOnlineHelpFlag ('_OPNHELPID_MODULES_CLASSIFIEDS_30_' , 'modules/classifieds');
			$form->Init ($opnConfig['opn_url'] . '/modules/classifieds/admin/index.php');
			$form->AddTable ();
			$form->AddCols (array ('10%', '90%') );
			$form->AddOpenRow ();
			$form->AddText (_CLASSFIEDS_ADMIN_SUBMITTER);
			$submitter_data = $opnConfig['permission']->GetUser ($temp['uid'], 'useruid', '');
			$submitter = $submitter_data['uid'];
			$form->AddText ('<a class="%alternate%" href="' . encodeurl (array ($opnConfig['opn_url'] . '/system/user/index.php',
											'op' => 'userinfo',
											'uname' => $submitter_data['uname']) ) . '">' . $opnConfig['user_interface']->GetUserName ($submitter_data['uname']) . '</a>');

			api_classifieds_get_work_forum ($temp, $form);

			$form->AddChangeRow ();
			$form->SetSameCol ();
			$form->AddHidden ('op', 'addsinglenew');
			$form->AddHidden ('lid', $lid);
			$form->SetEndCol ();
			$form->SetSameCol ();
			$form->AddSubmit ('submit', _CLASSFIEDS_ADMIN_APPROVE);
			$form->AddText ('&nbsp;');
			$form->AddButton ('Delete', _CLASSFIEDS_ADMIN_DELETEENTRY, '', '', 'javascript:location=\'' . encodeurl (array ($opnConfig['opn_url'] . '/modules/classifieds/admin/index.php',
															'op' => 'delnew',
															'lid' => $lid) ) . '\'');
			$form->SetEndCol ();
			$form->AddCloseRow ();
			$form->AddTableClose ();
			$form->AddFormEnd ();
			$form->GetFormular ($boxtxt);
			$boxtxt .= '<br /><br />';
			$result->MoveNext ();
		}
	} else {
		$boxtxt .= _CLASSFIEDS_ADMIN_NONEWSUBMITTEDENTRY;
	}
	return $boxtxt;

}

function classifieds_delallnew () {

	global $opnTables, $opnConfig;

	$boxtxt = '';

	$result = &$opnConfig['database']->Execute ('SELECT lid FROM ' . $opnTables['classifieds_product'] . ' WHERE (status=0) ORDER BY wdate DESC');
	$numrows = $result->RecordCount ();
	if ($numrows>0) {
		while (! $result->EOF) {
			$lid = $result->fields['lid'];
			$opnConfig['database']->Execute ('DELETE FROM ' . $opnTables['classifieds_product'] . ' WHERE lid=' . $lid);
			$boxtxt .= _CLASSFIEDS_ADMIN_ENTRYDELETED . '<br />';
			$result->MoveNext ();
		}
	} else {
		$boxtxt .= _CLASSFIEDS_ADMIN_NONEWSUBMITTEDENTRY;
	}
	return $boxtxt;

}

function classifieds_delnew ($lid) {

	global $opnTables, $opnConfig;

	$opnConfig['database']->Execute ('DELETE FROM ' . $opnTables['classifieds_product'] . ' WHERE (status=0) AND (lid=' . $lid . ')');

	$boxtxt = '';
	$boxtxt .= _CLASSFIEDS_ADMIN_ENTRYDELETED . '<br />';

	return $boxtxt;

}

function classifieds_addnew ($lid = false) {

	global $opnTables, $opnConfig;

	$boxtxt = '';

	if ($lid !== false) {
		$where = ' AND (lid='.$lid.') ';
	} else {
		$where = '';
	}

	$result = &$opnConfig['database']->Execute ('SELECT lid, uid, email FROM ' . $opnTables['classifieds_product'] . ' WHERE (status=0)'.$where.' ORDER BY wdate DESC');
	$numrows = $result->RecordCount ();
	if ($numrows>0) {
		$opnConfig['opndate']->now ();
		$now = '';
		$opnConfig['opndate']->opnDataTosql ($now);
		while (! $result->EOF) {
			$lid = $result->fields['lid'];
			$uid = $result->fields['uid'];

			$result9 = &$opnConfig['database']->Execute ('SELECT uname, email FROM ' . $opnTables['users'] . ' WHERE uid='.$uid);
			$email = $result9->fields['email'];
			$uname = $result9->fields['uname'];

			$query = 'UPDATE ' . $opnTables['classifieds_product'] . " SET status=1, wdate=$now WHERE lid=" . $lid;
			$opnConfig['database']->Execute ($query);

			if ( ($uname != '') && ($email != '') ) {
				$subject = _CLASSFIEDS_ADMIN_YOUR_CLASSFIEDS . ' ' . $opnConfig['sitename'];
				$vars['{NAME}'] = $uname;
				$vars['{URL}'] = encodeurl($opnConfig['opn_url'] . '/modules/classifieds/index.php');
				$vars['{EDITURL}'] = encodeurl(array ($opnConfig['opn_url'] . '/modules/classifieds/modlink.php', 'lid' => $lid) );
				$mail = new opn_mailer ();
				$mail->opn_mail_fill ($email, $subject, 'modules/classifieds', 'newclassifieds', $vars, $opnConfig['opn_webmaster_name'], $opnConfig['adminmail']);
				$mail->send ();
				$mail->init ();
			}
			$boxtxt .= _CLASSFIEDS_ADMIN_NEWENTRYADDTODATABASE . '<br /><br />';
			$result->MoveNext ();
		}
	} else {
		$boxtxt .= _CLASSFIEDS_ADMIN_NONEWSUBMITTEDENTRY;
	}
	return $boxtxt;

}

function classifieds_addsinglenew () {

	$lid = 0;
	get_var ('lid', $lid, 'both', _OOBJ_DTYPE_INT);
	$boxtxt = classifieds_addnew ($lid);
	return $boxtxt;

}


?>