<?php
/**
* OpenPHPNuke: Great Web Portal System
*
* Copyright (c) 2001-2013 by
* Heinz Hombergs
* Stefan Kaletta stefan@kaletta.de
* Alexander Weber xweber@kamelfreunde.de
*
* This program is free software. You can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation; either version 2 of the License.
* See LICENSE for details.
*
* This software is based on various code found in the internet
* See CREDITS for details
* If you are an author of a part of opn and not you are not mentioned
* SORRY for that ! We respect your rights to your code, so please send
* an eMail to devteam@openphpnuke.com we will include you to the CREDITS asap
*/

include ('admin_header.php');
global $opnConfig;

$opnConfig['module']->InitModule ('modules/classifieds', true);
$privsettings = $opnConfig['module']->GetPrivateSettings ();
$pubsettings = $opnConfig['module']->GetPublicSettings ();
InitLanguage ('modules/classifieds/admin/language/');

function classifieds_allhiddens ($wichSave) {

	$values[] = array ('type' => _INPUT_BLANKLINE,
			'noautotable' => 1);
	$values[] = array ('type' => _INPUT_HIDDEN,
			'name' => 'save',
			'value' => urlencode ($wichSave) );
	$nav['_OPNLANG_SAVE'] = _OPNLANG_SAVE;
	$nav['_CLASSFIEDS_ADMIN_ADMIN'] = _CLASSFIEDS_ADMIN_ADMIN;
	$values[] = array ('type' => _INPUT_NAV_BAR,
			'urls' => $nav);
	return $values;

}

function classifiedssettings () {

	global $opnConfig, $privsettings;

	$set = new MySettings ();
	$values[] = array ('type' => _INPUT_TITLE,
			'title' => _CLASSFIEDS_ADMIN_GENERAL);
	$values[] = array ('type' => _INPUT_TEXT,
			'display' => _CLASSFIEDS_ADMIN_CLASSFIEDS_PAGE,
			'name' => 'classifieds_perpage',
			'value' => $privsettings['classifieds_perpage'],
			'size' => 3,
			'maxlength' => 3);
	$values[] = array ('type' => _INPUT_TEXT,
			'display' => _CLASSFIEDS_ADMIN_CLASSFIEDS_SEARCH,
			'name' => 'classifieds_sresults',
			'value' => $privsettings['classifieds_sresults'],
			'size' => 3,
			'maxlength' => 3);
	$values[] = array ('type' => _INPUT_TEXT,
			'display' => _CLASSFIEDS_ADMIN_CATSPERROW,
			'name' => 'classifieds_cats_per_row',
			'value' => $privsettings['classifieds_cats_per_row'],
			'size' => 1,
			'maxlength' => 1);
	$values[] = array ('type' => _INPUT_RADIO,
			'display' => _CLASSFIEDS_ADMIN_SHOWALLCAT,
			'name' => 'classifieds_showallcat',
			'values' => array (1,
			0),
			'titles' => array (_YES,
			_NO),
			'checked' => array ( ($privsettings['classifieds_showallcat'] == 1?true : false),
			 ($privsettings['classifieds_showallcat'] == 0?true : false) ) );
	$values[] = array ('type' => _INPUT_BLANKLINE);
	$values[] = array ('type' => _INPUT_RADIO,
			'display' => _CLASSFIEDS_ADMIN_AUTOWRITE,
			'name' => 'classifieds_autowrite',
			'values' => array (1,
			0),
			'titles' => array (_YES,
			_NO),
			'checked' => array ( ($privsettings['classifieds_autowrite'] == 1?true : false),
			 ($privsettings['classifieds_autowrite'] == 0?true : false) ) );
	$values[] = array ('type' => _INPUT_RADIO,
			'display' => _CLASSFIEDS_ADMIN_AUTOCHANGE,
			'name' => 'classifieds_autochange',
			'values' => array (1,
			0),
			'titles' => array (_YES,
			_NO),
			'checked' => array ( ($privsettings['classifieds_autochange'] == 1?true : false),
			 ($privsettings['classifieds_autochange'] == 0?true : false) ) );
	$values[] = array ('type' => _INPUT_RADIO,
			'display' => _CLASSFIEDS_ADMIN_AUTODELETE,
			'name' => 'classifieds_autodelete',
			'values' => array (1,
			0),
			'titles' => array (_YES,
			_NO),
			'checked' => array ( ($privsettings['classifieds_autodelete'] == 1?true : false),
			 ($privsettings['classifieds_autodelete'] == 0?true : false) ) );
	$values = array_merge ($values, classifieds_allhiddens (_CLASSFIEDS_ADMIN_NAVGENERAL) );
	$set->GetTheForm (_CLASSFIEDS_ADMIN_SETTINGS, $opnConfig['opn_url'] . '/modules/classifieds/admin/settings.php', $values);

}

function classifieds_dosavesettings () {

	global $opnConfig, $privsettings;

	$opnConfig['module']->SetPrivateSettings ($privsettings);
	$opnConfig['module']->SavePrivateSettings ();

}

function classifieds_dosaveclassifieds ($vars) {

	global $privsettings;

	$privsettings['classifieds_perpage'] = $vars['classifieds_perpage'];
	$privsettings['classifieds_sresults'] = $vars['classifieds_sresults'];
	$privsettings['classifieds_cats_per_row'] = $vars['classifieds_cats_per_row'];
	$privsettings['classifieds_autowrite'] = $vars['classifieds_autowrite'];
	$privsettings['classifieds_autochange'] = $vars['classifieds_autochange'];
	$privsettings['classifieds_autodelete'] = $vars['classifieds_autodelete'];
	$privsettings['classifieds_showallcat'] = $vars['classifieds_showallcat'];
	classifieds_dosavesettings ();

}

function classifieds_dosave ($returns) {

	$op = urldecode ($returns['save']);
	switch ($op) {
		case _CLASSFIEDS_ADMIN_NAVGENERAL:
			classifieds_dosaveclassifieds ($returns);
			break;
	}

}
$op = '';
get_var ('op', $op, 'both', _OOBJ_DTYPE_CLEAN);
$result = '';
if (!empty (${$opnConfig['opn_post_vars']}) ) {
	$result = ${$opnConfig['opn_post_vars']};
	if (isset ($result['save']) ) {
		classifieds_dosave ($result);
	} else {
		$result = '';
	}
}
$op = urldecode ($op);
switch ($op) {
	case _OPNLANG_SAVE:
		$opnConfig['opnOutput']->Redirect (encodeurl (array ($opnConfig['opn_url'] . '/modules/classifieds/admin/settings.php',
								'op' => $result['save']),
								false) );
		CloseTheOpnDB ($opnConfig);
		break;
	case _CLASSFIEDS_ADMIN_ADMIN:
		$opnConfig['opnOutput']->Redirect ($opnConfig['opn_url'] . '/modules/classifieds/admin/index.php');
		CloseTheOpnDB ($opnConfig);
		break;
	default:
		classifiedssettings ();
		break;
}

?>