<?php
/**
* OpenPHPNuke: Great Web Portal System
*
* Copyright (c) 2001-2013 by
* Heinz Hombergs
* Stefan Kaletta stefan@kaletta.de
* Alexander Weber xweber@kamelfreunde.de
*
* This program is free software. You can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation; either version 2 of the License.
* See LICENSE for details.
*
* This software is based on various code found in the internet
* See CREDITS for details
* If you are an author of a part of opn and not you are not mentioned
* SORRY for that ! We respect your rights to your code, so please send
* an eMail to devteam@openphpnuke.com we will include you to the CREDITS asap
*/

if (!defined ('_OPN_MAINFILE_INCLUDED') ) { die (); }

InitLanguage ('modules/classifieds/api/language/');

function _classifieds_get_key (&$key) {

	$key ['rid'] = array ('typ' => _OOBJ_DTYPE_INT, 'txt' => _OOBJ_DTYPE_INT);
	$key ['lid'] = array ('typ' => _OOBJ_DTYPE_INT, 'txt' => _OOBJ_DTYPE_INT);
	$key ['cid'] = array ('typ' => _OOBJ_DTYPE_INT, 'txt' => _CLASSFIEDS_API_CATEGORY);

	$key ['title'] = array ('typ' => _OOBJ_DTYPE_CLEAN, 'txt' => _CLASSFIEDS_API_TITLE);
	$key ['description'] = array ('typ' => _OOBJ_DTYPE_CLEAN, 'txt' => _CLASSFIEDS_API_DESCRIPTION);
	$key ['descriptionlong'] = array ('typ' => _OOBJ_DTYPE_CLEAN, 'txt' => _CLASSFIEDS_API_DESCRIPTIONLONG);
	$key ['keywords'] = array ('typ' => _OOBJ_DTYPE_CLEAN, 'txt' => _CLASSFIEDS_API_KEYWORDS);
	$key ['price'] = array ('typ' => _OOBJ_DTYPE_CLEAN, 'txt' => _CLASSFIEDS_API_PRICE);

	$key ['email'] = array ('typ' => _OOBJ_DTYPE_CLEAN, 'txt' => _CLASSFIEDS_API_EMAIL);
	$key ['telefon'] = array ('typ' => _OOBJ_DTYPE_CLEAN, 'txt' => _CLASSFIEDS_API_TELEFON);
	$key ['telefax'] = array ('typ' => _OOBJ_DTYPE_CLEAN, 'txt' => _CLASSFIEDS_API_TELEFAX);
	$key ['street'] = array ('typ' => _OOBJ_DTYPE_CLEAN, 'txt' => _CLASSFIEDS_API_STREET);
	$key ['zip'] = array ('typ' => _OOBJ_DTYPE_CLEAN, 'txt' => _CLASSFIEDS_API_ZIP);
	$key ['city'] = array ('typ' => _OOBJ_DTYPE_CLEAN, 'txt' => _CLASSFIEDS_API_CITY);
	$key ['state'] = array ('typ' => _OOBJ_DTYPE_CLEAN, 'txt' => _CLASSFIEDS_API_STATE);
	$key ['country'] = array ('typ' => _OOBJ_DTYPE_CLEAN, 'txt' => _CLASSFIEDS_API_COUNTRY);

	$key ['status'] = array ('typ' => _OOBJ_DTYPE_INT, 'txt' => _OOBJ_DTYPE_INT);
	$key ['wdate'] = array ('typ' => _OOBJ_DTYPE_CLEAN, 'txt' => _CLASSFIEDS_API_DATE);
	$key ['uid'] = array ('typ' => _OOBJ_DTYPE_INT, 'txt' => _CLASSFIEDS_API_UID);

}

function api_classifieds_get_keys (&$keys, $mod = false) {

	$keys = array();
	$_keys = array();
	_classifieds_get_key ($_keys, true);
	foreach ($_keys as $key => $value) {
		if ($key == 'rid') {
			if ($mod) {
				$keys[] = $key;
			}
		} else {
			$keys[] = $key;
		}
	}

}

function api_classifieds_get_keys_typ (&$keys) {

	$keys = array();
	$_keys = array();
	_classifieds_get_key ($_keys, true);
	foreach ($_keys as $key => $value) {
		$keys[$key] = $value['typ'];
	}

}

function api_classifieds_get_keys_txt (&$keys) {

	$keys = array();
	$_keys = array();
	_classifieds_get_key ($_keys, true);
	foreach ($_keys as $key => $value) {
		$keys[$key.'_txt'] = $value['txt'];
	}

}

function api_classifieds_get_work_array (&$dat, $mod = false) {

	$keys = '';
	api_classifieds_get_keys ($keys, $mod);
	foreach ($keys as $var) {
		$dat[$var] = '';
	}

}

function api_classifieds_get_work_forum (&$temp, &$form) {

	global $opnConfig, $opnTables;

	$mf = new CatFunctions ('classifieds_product', false);
	$mf->itemtable = $opnTables['classifieds_product'];
	$mf->itemid = 'lid';
	$mf->itemlinkm = 'cid';

	$form->AddChangeRow ();
	$iamadmin = $opnConfig['permission']->HasRights ('modules/classifieds', array (_PERM_ADMIN), true);

	if ($iamadmin) {
		$form->AddLabel ('uid', _CLASSFIEDS_API_UID);
		$form->AddTextfield ('uid', 50, 100,$temp['uid']);
		$form->AddChangeRow ();
	}

	$form->AddLabel ('title', _CLASSFIEDS_API_TITLE);
	$form->AddTextfield ('title', 50, 100, $temp['title']);
	$form->AddChangeRow ();

	$form->AddLabel ('price', _CLASSFIEDS_API_PRICE);
	$form->AddTextfield ('price', 20, 100, $temp['price']);
	$form->AddChangeRow ();

	$form->AddLabel ('cid', _CLASSFIEDS_API_CATEGORY);
	$mf->makeMySelBox ($form, $temp['cid'], 0, 'cid');
	$form->AddChangeRow ();

	$form->AddLabel ('description', _CLASSFIEDS_API_DESCRIPTION);
	$form->AddTextfield ('description', 50, 250, $temp['description']);
	$form->AddChangeRow ();

	$form->UseEditor (false);
	$form->UseWysiwyg (false);
	$form->AddLabel ('descriptionlong', _CLASSFIEDS_API_DESCRIPTIONLONG);
	$form->AddTextarea ('descriptionlong', 75, 10, '', $temp['descriptionlong']);
	$form->AddChangeRow ();

	$form->UseEditor (false);
	$form->UseWysiwyg (false);
	$form->AddLabel ('keywords', _CLASSFIEDS_API_KEYWORDS);
	$form->AddTextarea ('keywords', 75, 10, '', $temp['keywords']);
	$form->AddChangeRow ();

	$form->AddLabel ('email', _CLASSFIEDS_API_EMAIL);
	$form->AddTextfield ('email', 50, 250, $temp['email']);
	$form->AddChangeRow ();

	$form->AddLabel ('telefon', _CLASSFIEDS_API_TELEFON);
	$form->AddTextfield ('telefon', 50, 25, $temp['telefon']);
	$form->AddChangeRow ();

	$form->AddLabel ('telefax', _CLASSFIEDS_API_TELEFAX);
	$form->AddTextfield ('telefax', 50, 25, $temp['telefax']);
	$form->AddChangeRow ();

	$form->AddLabel ('street', _CLASSFIEDS_API_STREET);
	$form->AddTextfield ('street', 50, 100, $temp['street']);
	$form->AddChangeRow ();

	$form->AddLabel ('zip', _CLASSFIEDS_API_ZIP);
	$form->AddTextfield ('zip', 50, 8, $temp['zip']);
	$form->AddChangeRow ();

	$form->AddLabel ('city', _CLASSFIEDS_API_CITY);
	$form->AddTextfield ('city', 50, 100, $temp['city']);
	$form->AddChangeRow ();

	$form->AddLabel ('state', _CLASSFIEDS_API_STATE);
	$form->AddTextfield ('state', 50, 100, $temp['state']);
	$form->AddChangeRow ();

	$form->AddLabel ('coutry', _CLASSFIEDS_API_COUNTRY);
	$form->AddTextfield ('country', 50, 100, $temp['country']);
	$form->AddChangeRow ();

}

function api_classifieds_get_var (&$dat, $mod = false) {

	api_classifieds_get_work_array ($dat, $mod);

	$dat['lid'] = 0;
	get_var ('lid', $dat['lid'], 'form', _OOBJ_DTYPE_INT);
	$dat['cid'] = 0;
	get_var ('cid', $dat['cid'], 'form', _OOBJ_DTYPE_INT);
	$dat['title'] = '';
	get_var ('title', $dat['title'], 'form', _OOBJ_DTYPE_CLEAN);
	$dat['price'] = '';
	get_var ('price', $dat['price'], 'form', _OOBJ_DTYPE_CLEAN);
	$dat['email'] = '';
	get_var ('email', $dat['email'], 'form', _OOBJ_DTYPE_EMAIL);
	$dat['telefon'] = '';
	get_var ('telefon', $dat['telefon'], 'form', _OOBJ_DTYPE_CLEAN);
	$dat['telefax'] = '';
	get_var ('telefax', $dat['telefax'], 'form', _OOBJ_DTYPE_CLEAN);
	$dat['street'] = '';
	get_var ('street', $dat['street'], 'form', _OOBJ_DTYPE_CLEAN);
	$dat['zip'] = '';
	get_var ('zip', $dat['zip'], 'form', _OOBJ_DTYPE_CLEAN);
	$dat['city'] = '';
	get_var ('city', $dat['city'], 'form', _OOBJ_DTYPE_CLEAN);
	$dat['state'] = '';
	get_var ('state', $dat['state'], 'form', _OOBJ_DTYPE_CLEAN);
	$dat['country'] = '';
	get_var ('country', $dat['country'], 'form', _OOBJ_DTYPE_CLEAN);
	$dat['description'] = '';
	get_var ('description', $dat['description'], 'form', _OOBJ_DTYPE_CLEAN);
	$dat['descriptionlong'] = '';
	get_var ('descriptionlong', $dat['descriptionlong'], 'form', _OOBJ_DTYPE_CHECK);
	$dat['keywords']='';
	get_var ('keywords',$dat['keywords'],'form',_OOBJ_DTYPE_CLEAN);

}

function api_classifieds_addmod ($temp) {

	global $opnConfig, $opnTables;

	$typs = '';
	api_classifieds_get_keys_typ ($typs);
	$keys = '';
	api_classifieds_get_keys ($keys, true);

	$dat=array();
	api_classifieds_get_work_array ($dat, true);

	$opnConfig['opnSQL']->qstr_array ($dat, '', $typs);
	$opnConfig['opnSQL']->qstr_array ($temp, '', $typs);

	$rid = $opnConfig['opnSQL']->get_new_number ('classifieds_product_mod', 'rid');

	unset ($dat['rid']);
	$insert = '';
	$opnConfig['opnSQL']->opn_make_insert ($keys, $dat, $insert);
	$opnConfig['database']->Execute ('INSERT INTO ' . $opnTables['classifieds_product_mod'] . " VALUES ($rid, $insert)");

	unset ($temp['rid']);
	$update = '';
	$opnConfig['opnSQL']->opn_make_update ($keys, $temp, $update);

	$opnConfig['database']->Execute ('UPDATE ' . $opnTables['classifieds_product_mod'] . " SET $update WHERE rid=$rid");
	return $rid;

}

function api_classifieds_add ($temp) {

	global $opnConfig, $opnTables;

	$typs = '';
	api_classifieds_get_keys_typ ($typs);
	$keys = '';
	api_classifieds_get_keys ($keys, false);

	$dat=array();
	api_classifieds_get_work_array ($dat, false);

	$opnConfig['opnSQL']->qstr_array ($dat, '', $typs);
	$opnConfig['opnSQL']->qstr_array ($temp, '', $typs);

	$lid = $opnConfig['opnSQL']->get_new_number ('classifieds_product', 'lid');

	unset ($dat['lid']);
	$insert = '';
	$opnConfig['opnSQL']->opn_make_insert ($keys, $dat, $insert);
	$opnConfig['database']->Execute ('INSERT INTO ' . $opnTables['classifieds_product'] . " VALUES ($lid, $insert)");

	unset ($temp['lid']);
	$update = '';
	$opnConfig['opnSQL']->opn_make_update ($keys, $temp, $update);

	$opnConfig['database']->Execute ('UPDATE ' . $opnTables['classifieds_product'] . " SET $update WHERE lid=$lid");

	set_var ('lid', $lid, 'form');
	return $lid;

}

?>