<?php
/**
* OpenPHPNuke: Great Web Portal System
*
* Copyright (c) 2001-2013 by
* Heinz Hombergs
* Stefan Kaletta stefan@kaletta.de
* Alexander Weber xweber@kamelfreunde.de
*
* This program is free software. You can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation; either version 2 of the License.
* See LICENSE for details.
*
* This software is based on various code found in the internet
* See CREDITS for details
* If you are an author of a part of opn and not you are not mentioned
* SORRY for that ! We respect your rights to your code, so please send
* an eMail to devteam@openphpnuke.com we will include you to the CREDITS asap
*/

if (!defined ('_OPN_MAINFILE_INCLUDED') ) { die (); }

InitLanguage ('modules/classifieds/language/');
global $opnConfig, $eh;

$opnConfig['permission']->InitPermissions ('modules/classifieds');

function classifieds_showallcategories (&$boxtxt) {

	global $opnConfig;

	$_cat = new opn_categorienav ('classifieds_product', 'classifieds_product');
	$_cat->SetModule ('modules/classifieds');
	$_cat->SetImagePath ($opnConfig['datasave']['classifieds_product_categorie']['url']);
	$_cat->SetItemID ('lid');
	$_cat->SetItemLink ('cid');
	$_cat->SetColsPerRow ($opnConfig['classifieds_cats_per_row']);
	$_cat->SetSubCatLink ('index.php');
	$_cat->SetSubCatLinkVar ('cid');
	$_cat->SetMainpageScript ('index.php');
	$_cat->SetScriptname ('index.php');
	$_cat->SetScriptnameVar (array () );
	$_cat->SetItemWhere ('status=1');
	$_cat->SetMainpageTitle (_CLASSFIEDS_MAIN);
	if (!isset ($opnConfig['classifieds_showallcat']) ) {
		$opnConfig['classifieds_showallcat'] = 1;
	}
	$_cat->SetShowAllCat ($opnConfig['classifieds_showallcat']);
	$boxtxt .= $_cat->MainNavigation ();
	$boxtxt .= '<br />';
	unset ($_cat);
}


function classifieds_showcategorie ($cid) {

	global $opnConfig;

	$_cat = new opn_categorienav ('classifieds_product', 'classifieds_product');
	$_cat->SetModule ('modules/classifieds');
	$_cat->SetImagePath ($opnConfig['datasave']['classifieds_product_categorie']['url']);
	$_cat->SetItemID ('lid');
	$_cat->SetItemLink ('cid');
	$_cat->SetColsPerRow ($opnConfig['classifieds_cats_per_row']);
	$_cat->SetSubCatLink ('index.php');
	$_cat->SetSubCatLinkVar ('cid');
	$_cat->SetMainpageScript ('index.php');
	$_cat->SetScriptname ('index.php');
	$_cat->SetScriptnameVar (array () );
	$_cat->SetItemWhere ('status=1');
	$_cat->SetMainpageTitle (_CLASSFIEDS_MAIN);
	if (!isset ($opnConfig['classifieds_showallcat']) ) {
		$opnConfig['classifieds_showallcat'] = 1;
	}
	$_cat->SetShowAllCat ($opnConfig['classifieds_showallcat']);
	$boxtxt = $_cat->SubNavigation ($cid);
	return $boxtxt;

}

function classifieds_showallincategories ($cid, &$boxtxt) {

	global $opnConfig, $opnTables;

	$data = array ();

	$ui = $opnConfig['permission']->GetUserinfo ();

	$mf = new CatFunctions ('classifieds_product');
	$mf->itemtable = $opnTables['classifieds_product'];
	$mf->itemid = 'lid';
	$mf->itemlink = 'cid';
	$mf->itemwhere = '(status=1)';
	$offset = 0;
	get_var ('offset', $offset, 'url', _OOBJ_DTYPE_INT);
	$sortby = 'title';
	get_var (_OPN_VAR_TABLE_SORT_VAR, $sortby, 'url', _OOBJ_DTYPE_CLEAN);

	$numrows = $mf->GetItemCount ('i.cid=' . $cid);

	$dat['navigation'] = classifieds_showcategorie ($cid);
	$dat['pagebar'] = build_pagebar (array ($opnConfig['opn_url'] . '/modules/classifieds/index.php',
						'cid' => $cid,
						'sortby' => $sortby),
						$numrows,
						$opnConfig['classifieds_perpage'],
						$offset);

	$progurl = array ($opnConfig['opn_url'] . '/modules/classifieds/index.php','cid' => $cid);
	$newsortby = $sortby;
	$table = new opn_TableClass ('alternator');
	$order = '';
	$table->get_sort_order ($order, array ('title','wdate'),$newsortby);
	$hlp = ' ';
	$hlp .=  $table->get_sort_feld ('title', _CLASSFIEDS_API_TITLE, $progurl);
	$hlp .=  $table->get_sort_feld ('wdate', _CLASSFIEDS_API_DATE, $progurl);

	$dat['sorting_navigation'] = $hlp;

	if (substr_count ($order, ' ORDER BY ')>0) {
		$order = str_replace (' ORDER BY ', '', $order);
	}

	$keys = '';
	api_classifieds_get_keys ($keys);
	$keys_txt = '';
	api_classifieds_get_keys_txt ($keys_txt);

	$result = $mf->GetItemLimit ($keys, array ($order), $opnConfig['classifieds_perpage'],'i.cid=' . $cid, $offset);
	if ($result !== false) {
		while (! $result->EOF) {

			$lid = $result->fields['lid'];
			$cid = $result->fields['cid'];
			$title = $result->fields['title'];
			$data = array ();
			$opnConfig['opnSQL']->get_result_array ($data,
									$result,
									$keys);

			opn_nl2br ($data['description']);
			opn_nl2br ($data['descriptionlong']);

			$data['opn_url'] = $opnConfig['opn_url'];
			$data['images_url_base'] = $opnConfig['opn_url'];

			if ( ( ($ui['uid'] == $data['uid']) AND ($opnConfig['permission']->HasRights ('modules/classifieds', array (_PERM_WRITE, _PERM_ADMIN), true) ) ) OR
					 ( ($ui['uid'] != $data['uid']) AND ($opnConfig['permission']->HasRights ('modules/classifieds', array (_PERM_ADMIN), true) ) ) ) {
				$data['is_owner'] = 1;
			} else {
				$data['is_owner'] = 0;
			}

			$datetime = '';
			$time = $data['wdate'];
			$opnConfig['opndate']->sqlToopnData ($time);
			$opnConfig['opndate']->formatTimestamp ($datetime, _DATE_DATESTRING5);

			$data['date'] = $datetime;

			$data['edit_url'] = array ($opnConfig['opn_url'] . '/modules/classifieds/plugin/user/admin/index.php', 'op' => 'edit', 'lid' => $lid);
			$data['del_url'] = array ($opnConfig['opn_url'] . '/modules/classifieds/plugin/user/admin/index.php', 'op' => 'del', 'lid' => $lid);
			$data['view_url'] = array ($opnConfig['opn_url'] . '/modules/classifieds/index.php', 'op' => 'view', 'lid' => $lid);

			$dat['liste'][] = $data;

			$result->MoveNext ();
		}
		$result->Close ();
	}
	$boxtxt .= _GetTemplate ('categorie.html', $dat);

}

function classifieds_listall (&$boxtxt) {

	global $opnConfig, $opnTables;

	$data = array ();

	$ui = $opnConfig['permission']->GetUserinfo ();

	$mf = new CatFunctions ('classifieds_product');
	$mf->itemtable = $opnTables['classifieds_product'];
	$mf->itemid = 'lid';
	$mf->itemlink = 'cid';
	$mf->itemwhere = '(status=1)';

	$offset = 0;
	get_var ('offset', $offset, 'url', _OOBJ_DTYPE_INT);
	$sortby = 'wdate';
	get_var (_OPN_VAR_TABLE_SORT_VAR, $sortby, 'url', _OOBJ_DTYPE_CLEAN);

	$numrows = $mf->GetItemCount ();

	$dat['navigation'] = '';
	$dat['pagebar'] = build_pagebar (array ($opnConfig['opn_url'] . '/modules/classifieds/index.php',
						'op' => 'index',
						'sortby' => $sortby),
						$numrows,
						$opnConfig['classifieds_perpage'],
						$offset);

	$progurl = array ($opnConfig['opn_url'] . '/modules/classifieds/index.php', 'op' => 'index');
	$newsortby = $sortby;
	$table = new opn_TableClass ('alternator');
	$order = '';
	$table->get_sort_order ($order, array ('title','wdate'),$newsortby);
	$hlp = ' ';
	$hlp .=  $table->get_sort_feld ('title', _CLASSFIEDS_API_TITLE, $progurl);
	$hlp .=  $table->get_sort_feld ('wdate', _CLASSFIEDS_API_DATE, $progurl);

	$dat['sorting_navigation'] = $hlp;

	if (substr_count ($order, ' ORDER BY ')>0) {
		$order = str_replace (' ORDER BY ', '', $order);
	}

	$keys = '';
	api_classifieds_get_keys ($keys);
	$keys_txt = '';
	api_classifieds_get_keys_txt ($keys_txt);

	$result = $mf->GetItemLimit ($keys, array ($order), $opnConfig['classifieds_perpage'],'', $offset);
	if ($result !== false) {
		while (! $result->EOF) {

			$lid = $result->fields['lid'];
			$cid = $result->fields['cid'];
			$title = $result->fields['title'];
			$data = array ();
			$opnConfig['opnSQL']->get_result_array ($data,
									$result,
									$keys);

			opn_nl2br ($data['description']);
			opn_nl2br ($data['descriptionlong']);

			$data['opn_url'] = $opnConfig['opn_url'];
			$data['images_url_base'] = $opnConfig['opn_url'];

			if ( ( ($ui['uid'] == $data['uid']) AND ($opnConfig['permission']->HasRights ('modules/classifieds', array (_PERM_WRITE, _PERM_ADMIN), true) ) ) OR
					 ( ($ui['uid'] != $data['uid']) AND ($opnConfig['permission']->HasRights ('modules/classifieds', array (_PERM_ADMIN), true) ) ) ) {
				$data['is_owner'] = 1;
			} else {
				$data['is_owner'] = 0;
			}

			$datetime = '';
			$time = $data['wdate'];
			$opnConfig['opndate']->sqlToopnData ($time);
			$opnConfig['opndate']->formatTimestamp ($datetime, _DATE_DATESTRING5);

			$data['date'] = $datetime;

			$data['edit_url'] = array ($opnConfig['opn_url'] . '/modules/classifieds/plugin/user/admin/index.php', 'op' => 'edit', 'lid' => $lid);
			$data['del_url'] = array ($opnConfig['opn_url'] . '/modules/classifieds/plugin/user/admin/index.php', 'op' => 'del', 'lid' => $lid);
			$data['view_url'] = array ($opnConfig['opn_url'] . '/modules/classifieds/index.php', 'op' => 'view', 'lid' => $lid);

			$dat['liste'][] = $data;

			$result->MoveNext ();
		}
		$result->Close ();
	}
	$boxtxt .= _GetTemplate ('categorie.html', $dat);

}

function classifieds_show ($lid) {

	global $opnConfig, $opnTables;

	$found = false;
	$data = array ();

	$mf = new CatFunctions ('classifieds_product');
	$mf->itemtable = $opnTables['classifieds_product'];
	$mf->itemtable = $opnTables['classifieds_product'];
	$mf->itemid = 'lid';
	$mf->itemlink = 'cid';
	$mf->itemwhere = '(i.status=1) AND (i.lid='.$lid.')';
	$mf->ratingtable = '';

	$keys = '';
	api_classifieds_get_keys ($keys);
	$keys_txt = '';
	api_classifieds_get_keys_txt ($keys_txt);

	$result = $mf->GetItemResult ($keys, '');
	if ($result !== false) {
		while (! $result->EOF) {

			$found = true;

			$lid = $result->fields['lid'];
			$cid = $result->fields['cid'];
			$data = array ();
			$opnConfig['opnSQL']->get_result_array ($data,
									$result,
									$keys);

			$ui = $opnConfig['permission']->GetUser ($data['uid'], 'useruid', '');
			$data['offerer'] = $ui['uname'];

			$data['opn_url'] = $opnConfig['opn_url'];
			$data['images_url_base'] = $opnConfig['opn_url'];

			$data['edit_url'] = array ($opnConfig['opn_url'] . '/modules/classifieds/plugin/user/admin/index.php', 'op' => 'edit', 'lid' => $lid);
			$data['del_url'] = array ($opnConfig['opn_url'] . '/modules/classifieds/plugin/user/admin/index.php', 'op' => 'del', 'lid' => $lid);
			$data['view_url'] = array ($opnConfig['opn_url'] . '/modules/classifieds/index.php', 'op' => 'view', 'lid' => $lid);

			opn_nl2br ($data['description']);
			opn_nl2br ($data['descriptionlong']);

			$datetime = '';
			$time = $data['wdate'];
			$opnConfig['opndate']->sqlToopnData ($time);
			$opnConfig['opndate']->formatTimestamp ($datetime, _DATE_DATESTRING5);

			$data['date'] = $datetime;

			$sql = 'SELECT title, url FROM ' . $opnTables['classifieds_product_images'] . ' WHERE (lid='.$lid.')';
			$result_image = &$opnConfig['database']->Execute ($sql);
			if ($result_image !== false) {
				while (! $result_image->EOF) {

					$dat = array();
					$url = $result_image->fields['url'];
					$title = $result_image->fields['title'];

					$dat['url'] = $url;
					$dat['title'] = $title;

					$data['images'][] = $dat;

					$result_image->MoveNext ();
				}
			}

			$result->MoveNext ();
		}
	}
	$boxtxt = '';

	$data['opn_url'] = $opnConfig['opn_url'];
	$data['images_url_base'] = $opnConfig['opn_url'];

	if ($found === true) {

		$boxtxt .= _GetTemplate ('detail.html', $data);

		$sql = 'SELECT lid FROM ' . $opnTables['classifieds_product_stats'] . ' WHERE lid=' . $lid;
		$update = 'UPDATE  ' . $opnTables['classifieds_product_stats'] . ' SET counter=counter+1 WHERE lid=' . $lid;;
		$insert = 'INSERT INTO ' . $opnTables['classifieds_product_stats'] . ' VALUES (' . $lid . ',1)';
		$opnConfig['opnSQL']->ensure_dbwrite ($sql, $update, $insert);

	}

	return $boxtxt;

}

function classifieds_show_short (&$result) {

	global $opnConfig, $opnTables;

	$data = array ();
	$dat = array ();

	$mf = new CatFunctions ('classifieds_product');
	$mf->itemtable = $opnTables['classifieds_product'];
	$mf->itemtable = $opnTables['classifieds_product'];
	$mf->itemid = 'lid';
	$mf->itemlink = 'cid';
	$mf->itemwhere = '(i.status=1)';
	$mf->ratingtable = '';

	$keys = '';
	api_classifieds_get_keys ($keys);
	$keys_txt = '';
	api_classifieds_get_keys_txt ($keys_txt);

	if ($result !== false) {

		while (! $result->EOF) {
			$lid = $result->fields['lid'];
			$cid = $result->fields['cid'];
			$data = array ();
			$opnConfig['opnSQL']->get_result_array ($data,
									$result,
									$keys);

			$ui = $opnConfig['permission']->GetUser ($data['uid'], 'useruid', '');
			$data['uid_name'] = $ui['uname'];

			$data['opn_url'] = $opnConfig['opn_url'];
			$data['images_url_base'] = $opnConfig['opn_url'];

			$data['edit_url'] = array ($opnConfig['opn_url'] . '/modules/classifieds/plugin/user/admin/index.php', 'op' => 'edit', 'lid' => $lid);
			$data['del_url'] = array ($opnConfig['opn_url'] . '/modules/classifieds/plugin/user/admin/index.php', 'op' => 'del', 'lid' => $lid);
			$data['view_url'] = array ($opnConfig['opn_url'] . '/modules/classifieds/index.php', 'op' => 'view', 'lid' => $lid);

			opn_nl2br ($data['description']);
			opn_nl2br ($data['descriptionlong']);

			$data['opn_url'] = $opnConfig['opn_url'];
			$data['images_url_base'] = $opnConfig['opn_url'];

			$data['edit_url'] = array ($opnConfig['opn_url'] . '/modules/classifieds/plugin/user/admin/index.php', 'op' => 'edit', 'lid' => $lid);
			$data['del_url'] = array ($opnConfig['opn_url'] . '/modules/classifieds/plugin/user/admin/index.php', 'op' => 'del', 'lid' => $lid);
			$data['view_url'] = array ($opnConfig['opn_url'] . '/modules/classifieds/index.php', 'op' => 'view', 'lid' => $lid);


			$dat['liste'][] = $data;

			$result->MoveNext ();
		}
		$result->Close ();
	}
	$boxtxt = _GetTemplate ('searchresult.html', $dat);

	return $boxtxt;

}

?>