<?php
/**
* OpenPHPNuke: Great Web Portal System
*
* Copyright (c) 2001-2013 by
* Heinz Hombergs
* Stefan Kaletta stefan@kaletta.de
* Alexander Weber xweber@kamelfreunde.de
*
* This program is free software. You can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation; either version 2 of the License.
* See LICENSE for details.
*
* This software is based on various code found in the internet
* See CREDITS for details
* If you are an author of a part of opn and not you are not mentioned
* SORRY for that ! We respect your rights to your code, so please send
* an eMail to devteam@openphpnuke.com we will include you to the CREDITS asap
*/

function classifieds_search_form () {

	global $opnConfig;

	$term = '';
	get_var ('term', $term, 'both');
	$addterms = '';
	get_var ('addterms', $addterms, 'both', _OOBJ_DTYPE_CLEAN);
	$cid = '';
	get_var ('cid', $cid, 'both', _OOBJ_DTYPE_CLEAN);

	if ($term == '') {
		$term = _CLASSFIEDS_SEARCHKEYWORD;
	} else {
		opn_nl2br ($term);
		$term = urldecode ($term);
		$term = $opnConfig['cleantext']->filter_searchtext ($term);
	}

	$boxtxt = '';
	$boxtxt = '<div class="centertag">';
	$boxtxt .= '<h3>' . _CLASSFIEDS_SEARCHHEADLINE . '</h3>';
	$boxtxt .= '<br /><br />';

	$form = new opn_FormularClass ('default');
	$opnConfig['opnOutput']->SetOnlineHelpFlag ('_OPNHELPID_MODULES_CLASSIFIEDS_40_' , 'modules/classifieds');
	$form->Init ($opnConfig['opn_url'] . '/modules/classifieds/search.php');
	$form->AddTable ('default');
	$form->AddOpenRow ();

	$form->AddChangeRow ();
	$form->AddLabel ('term', _CLASSFIEDS_SEARCHFOR . '&nbsp;');
	$form->AddTextfield ('term', 50, 0, $term, 0, '', 'textarea', 'this.select()');

	$form->AddChangeRow ();
	$form->AddText (_CLASSFIEDS_MATCH . '&nbsp;');
	if ($addterms == 'all') {
		$check = 1;
	} else {
		$check = 0;
	}
	$form->SetSameCol ();
	$form->AddRadio ('addterms', 'all', $check);
	$form->AddLabel ('addterms', _CLASSFIEDS_ALL . '&nbsp;', 1);
	if ( ($addterms == '') || ($addterms == 'any') ) {
		$check = 1;
	} else {
		$check = 0;
	}
	$form->AddRadio ('addterms', 'any', $check);
	$form->AddLabel ('addterms', _CLASSFIEDS_ANY, 1);
	$form->SetEndCol ();

	$form->AddChangeRow ();
	$form->AddSubmit ('submit', _CLASSFIEDS_SEARCH);
	$form->AddHidden ('cid', $cid);

	$form->AddCloseRow ();
	$form->AddTableClose ();

	$form->AddFormEnd ();
	$form->GetFormular ($boxtxt);

	$boxtxt .= '</div>';
	$boxtxt .= '<br />';

	return $boxtxt;
}

?>