<?php
/**
* OpenPHPNuke: Great Web Portal System
*
* Copyright (c) 2001-2013 by
* Heinz Hombergs
* Stefan Kaletta stefan@kaletta.de
* Alexander Weber xweber@kamelfreunde.de
*
* This program is free software. You can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation; either version 2 of the License.
* See LICENSE for details.
*
* This software is based on various code found in the internet
* See CREDITS for details
* If you are an author of a part of opn and not you are not mentioned
* SORRY for that ! We respect your rights to your code, so please send
* an eMail to devteam@openphpnuke.com we will include you to the CREDITS asap
*/

if (!defined ('_OPN_MAINFILE_INCLUDED') ) { die (); }

InitLanguage ('modules/classifieds/plugin/search/language/');

function classifieds_retrieve_searchbuttons (&$buttons) {

	$button['name'] = 'classifieds';
	$button['sel'] = 0;
	$button['label'] = _CLASSFIEDS_SEARCH_CLASSFIEDS;
	$buttons[] = $button;
	unset ($button);

}

function classifieds_retrieve_search ($type, $query, &$data, &$sap, &$sopt) {
	switch ($type) {
		case 'classifieds':
			classifieds_retrieve_all ($query, $data, $sap, $sopt);
		}
	}

	function classifieds_retrieve_all ($query, &$data, &$sap, &$sopt) {

		global $opnConfig;

		$q = classifieds_get_query ($query, $sopt);
		$q .= classifieds_get_orderby ();
		$result = &$opnConfig['database']->Execute ($q);
		$hlp1 = array ();
		if ($result !== false) {
			$nrows = $result->RecordCount ();
			if ($nrows>0) {
				$hlp1['data'] = _CLASSFIEDS_SEARCH_CLASSFIEDS;
				$hlp1['ishead'] = true;
				$data[] = $hlp1;
				while (! $result->EOF) {
					$lid = $result->fields['lid'];
					$title = $result->fields['title'];
					$hlp1['data'] = classifieds_build_link ($lid, $title);
					$hlp1['ishead'] = false;
					$data[] = $hlp1;
					$result->MoveNext ();
				}
				unset ($hlp1);
				$sap++;
			}
			$result->Close ();
		}

	}

	function classifieds_get_query ($query, $sopt) {

		global $opnTables, $opnConfig;

		$checkerlist = $opnConfig['permission']->GetUserGroups ();
		$opnConfig['opn_searching_class']->init ();
		$opnConfig['opn_searching_class']->SetFields (array ('l.lid as lid',
								'l.title as title') );
		$opnConfig['opn_searching_class']->SetTable ($opnTables['classifieds_product'] . ' l, ' . $opnTables['classifieds_product_cats'] . ' c');
		$opnConfig['opn_searching_class']->SetWhere (' (l.status>0) AND (l.cid=c.cat_id) AND c.cat_usergroup IN (' . $checkerlist . ') AND');
		$opnConfig['opn_searching_class']->SetQuery ($query);
		$opnConfig['opn_searching_class']->SetSearchfields (array ('l.title',
									'l.description', 'l.descriptionlong') );
		return $opnConfig['opn_searching_class']->GetSQL ();

}

function classifieds_get_orderby () {
	return ' ORDER BY l.title ASC';

}

function classifieds_build_link ($lid, $title) {

	global $opnConfig;

	$hlp = '<a class="%linkclass%" href="' . encodeurl (array ($opnConfig['opn_url'] . '/modules/classifieds/index.php',
								'op' => 'view', 'lid' => $lid) ) . '" target="_blank">' . $title . '</a>';
	return $hlp;

}

?>