<?php
/**
* OpenPHPNuke: Great Web Portal System
*
* Copyright (c) 2001-2013 by
* Heinz Hombergs
* Stefan Kaletta stefan@kaletta.de
* Alexander Weber xweber@kamelfreunde.de
*
* This program is free software. You can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation; either version 2 of the License.
* See LICENSE for details.
*
* This software is based on various code found in the internet
* See CREDITS for details
* If you are an author of a part of opn and not you are not mentioned
* SORRY for that ! We respect your rights to your code, so please send
* an eMail to devteam@openphpnuke.com we will include you to the CREDITS asap
*/

if (!defined ('_OPN_MAINFILE_INCLUDED') ) { die (); }

include_once (_OPN_ROOT_PATH . _OPN_CLASS_SOURCE_PATH . 'class.opn_images.php');

function classifieds_image_listing () {

	global $opnTables, $opnConfig, $mf;

	$lid = 0;
	get_var ('lid', $lid, 'url', _OOBJ_DTYPE_INT);
	$offset = 0;
	get_var ('offset', $offset, 'url', _OOBJ_DTYPE_INT);
	$sortby = 'asc_lid';
	get_var (_OPN_VAR_TABLE_SORT_VAR, $sortby, 'url', _OOBJ_DTYPE_CLEAN);

	$ui = $opnConfig['permission']->GetUserinfo ();
	$uid = $ui['uid'];

	$progurl = array ($opnConfig['opn_url'] . '/modules/classifieds/plugin/user/admin/index.php','op' => 'listingimages');
	$newsortby = $sortby;
	$order = '';
	$table = new opn_TableClass ('alternator');
	$table->get_sort_order ($order, array ('lid','title'),$newsortby);
	$table->AddHeaderRow (array ($table->get_sort_feld ('lid', _CLASSFIEDS_ADMIN_USER_ID, $progurl), $table->get_sort_feld ('title', _CLASSFIEDS_API_TITLE, $progurl), _CLASSFIEDS_ADMIN_USER_FUNCTIONS) );
	$maxperpage = $opnConfig['opn_gfx_defaultlistrows'];
	$sql = 'SELECT COUNT(lid) AS counter FROM ' . $opnTables['classifieds_product_images'] . ' WHERE (lid='.$lid.') AND (uid='.$uid.')';
	$justforcounting = &$opnConfig['database']->Execute ($sql);
	if ( (is_object ($justforcounting) ) && (isset ($justforcounting->fields['counter']) ) ) {
		$reccount = $justforcounting->fields['counter'];
	} else {
		$reccount = 0;
	}
	unset ($justforcounting);
	$result = &$opnConfig['database']->SelectLimit ('SELECT mid, lid, title FROM ' . $opnTables['classifieds_product_images'] . ' WHERE (lid='.$lid.') AND (uid='.$uid.')' . $order, $maxperpage, $offset);
	if ($result !== false) {
		while (! $result->EOF) {
			$mid = $result->fields['mid'];
			$lid = $result->fields['lid'];
			$title = $result->fields['title'];

			$func = $opnConfig['defimages']->get_delete_link (array ($opnConfig['opn_url'] . '/modules/classifieds/plugin/user/admin/index.php', 'op' => 'delimage', 'mid' => $mid) );

			$table->AddDataRow (array ($lid, $title, $func));
			$result->MoveNext ();
		}
	}
	$boxtxt = '';
	$table->GetTable ($boxtxt);
	$boxtxt .= '<br /><br />';
	$boxtxt .= build_pagebar (array ($opnConfig['opn_url'] . '/modules/classifieds/plugin/user/admin/index.php',
					'op' => 'listingimages',
					'sortby' => $sortby),
					$reccount,
					$maxperpage,
					$offset);
	$boxtxt .= '<br /><br />';

	$opnConfig['opnOutput']->SetOnlineHelpFlag ('_OPNHELPID_MODULES_CLASSIFIEDS_50_' , 'modules/classifieds');
	$boxtxt .= '<h4>' . _CLASSFIEDS_ADMIN_USER_ADDNEWIMAGES . '</h4>';
	$form = new opn_FormularClass ('listalternator');
	$form->Init ('' . $opnConfig['opn_url'] . '/modules/classifieds/plugin/user/admin/index.php', 'post', '', 'multipart/form-data');
	$form->AddTable ();
	$form->AddCols (array ('10%', '90%') );
	$form->AddOpenRow ();
	$form->AddLabel ('image_title', _CLASSFIEDS_ADMIN_USER_IMAGETITLE);
	$form->AddTextfield ('image_title', 50, 250);
	$form->AddOpenRow ();
	$form->AddLabel ('image_url', _CLASSFIEDS_ADMIN_USER_IMAGEURL);
	$form->AddTextfield ('image_url', 50, 250);
	$form->AddChangeRow ();
	$form->AddLabel ('userupload', _CLASSFIEDS_ADMIN_USER_IMAGEUPLOAD);
	$form->SetSameCol ();
	$form->AddFile ('userupload');
	$form->AddText ('&nbsp;max:&nbsp;' . $opnConfig['opn_upload_size_limit'] . '&nbsp;bytes');
	$form->SetEndCol ();
	$form->AddChangeRow ();
	$form->SetSameCol ();
	$form->AddHidden ('op', 'addimage');
	$form->AddHidden ('lid', $lid);
	$form->SetEndCol ();
	$form->AddSubmit ('submit', _OPNLANG_ADDNEW);
	$form->AddCloseRow ();
	$form->AddTableClose ();
	$form->AddFormEnd ();
	$form->GetFormular ($boxtxt);

	return $boxtxt;

}

function classifieds_image_add () {

	global $opnTables, $opnConfig;

	$ui = $opnConfig['permission']->GetUserinfo ();
	$title = '';
	get_var ('image_title', $title, 'form', _OOBJ_DTYPE_URL);
	$url = '';
	get_var ('image_url', $url, 'form', _OOBJ_DTYPE_CLEAN);
	$lid = '';
	get_var ('lid', $lid, 'form', _OOBJ_DTYPE_INT);
	$userupload = 'none';
	get_var ('userupload', $userupload, 'file');
	$skipsave = false;
	$make_tmb = false;
	if (substr_count ($url, 'http://')>0) {
	} else {
		if ($userupload == '') {
			$userupload = 'none';
		}
		$userupload = check_upload ($userupload);
		if ($userupload <> 'none') {
			require (_OPN_ROOT_PATH . _OPN_CLASS_SOURCE_PATH . 'class.fileupload.php');
			$upload = new file_upload_class ();
			$upload->max_filesize ($opnConfig['opn_upload_size_limit']);
			if ($upload->upload ('userupload', 'image', '') ) {
				if ($upload->save_file ($opnConfig['datasave']['classifieds_product_images']['path'], 3) ) {
					$file = $upload->new_file;
					$filename = $upload->file['name'];
				}

			}
			if ( (isset ($upload->errors) ) && (!empty($upload->errors))  ) {
				$boxtxt = '';
				foreach ($upload->errors as $var) {
					$boxtxt .= '<br /><br />' . $var . '<br />';
					$skipsave = true;
				}
			}
			$make_tmb = true;
		}
		if (isset ($filename) ) {
			$url = $filename;
		}
		$tmb_save_path = $opnConfig['datasave']['classifieds_product_images']['path'] . $url . '.opn_tbm_.jpg';
		$tmb_load_path = $opnConfig['datasave']['classifieds_product_images']['path'] . $url;

		$url = trim($url);
		if ($url != '') {
			$url = $opnConfig['datasave']['classifieds_product_images']['url'] . '/' . $url;
		}
	}
	if ($skipsave == false) {

		$url = $opnConfig['opnSQL']->qstr ($url);

		$mid = $opnConfig['opnSQL']->get_new_number ('classifieds_product_images', 'mid');
		$title = $opnConfig['opnSQL']->qstr ($title);
		$opnConfig['database']->Execute ('INSERT INTO ' . $opnTables['classifieds_product_images'] . " (mid, lid, uid, url, title) VALUES ($mid, $lid," . $ui['uid'] . ",$url, $title)");
		if ($opnConfig['database']->ErrorNo ()>0) {
			$boxtxt = $opnConfig['database']->ErrorNo () . ' --- ' . $opnConfig['database']->ErrorMsg () . '<br />';
			return $boxtxt;
		}
		if ($make_tmb) {
			// $temp = $opnConfig['opn_url'].'/system/user_images/show_image.php?filename='.$tmb_load_url.'&newxsize=100&newysize=100&fileout='.$tmb_save_path.'&maxsize=0&bgred=255&bggreen=255&bgblue=255';
			// echo $temp;
			// $boxtxt = '<img src="'.$temp.'" class="imgtag" alt="" />';
			// echo $boxtxt;
			$neu = new ImgThumb ($tmb_load_path, 100, 100, $tmb_save_path, 0, 255, 255, 255);
		}
	} else {
		return $boxtxt;
	}
	return _CLASSFIEDS_ADMIN_USER_DATABASEUPDASUC;


}

function classifieds_image_del () {

	global $opnTables, $opnConfig;

	$lid = 0;
	get_var ('lid', $lid, 'url', _OOBJ_DTYPE_INT);
	$mid = 0;
	get_var ('mid', $mid, 'url', _OOBJ_DTYPE_INT);

	classifieds_images_delete ($mid, $lid);

	return _CLASSFIEDS_ADMIN_USER_DATABASEUPDASUC;


}


?>