<?php
/**
* OpenPHPNuke: Great Web Portal System
*
* Copyright (c) 2001-2013 by
* Heinz Hombergs
* Stefan Kaletta stefan@kaletta.de
* Alexander Weber xweber@kamelfreunde.de
*
* This program is free software. You can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation; either version 2 of the License.
* See LICENSE for details.
*
* This software is based on various code found in the internet
* See CREDITS for details
* If you are an author of a part of opn and not you are not mentioned
* SORRY for that ! We respect your rights to your code, so please send
* an eMail to devteam@openphpnuke.com we will include you to the CREDITS asap
*/

if (!defined ('_OPN_MAINFILE_INCLUDED') ) {
	include ('../../../../../mainfile.php');
}

global $opnConfig, $opnTables;

$opnConfig['permission']->InitPermissions ('modules/classifieds');
$opnConfig['module']->InitModule ('modules/classifieds', true);

include_once (_OPN_ROOT_PATH . 'include/opn_admin_functions.php');
include_once (_OPN_ROOT_PATH . _OPN_CLASS_SOURCE_PATH . 'class.adminmenu.php');
include_once (_OPN_ROOT_PATH . _OPN_CLASS_SOURCE_PATH . 'class.opn_categorie.functions.php');
include_once (_OPN_ROOT_PATH . _OPN_CLASS_SOURCE_PATH . 'class.opn_categorie.php');
include_once (_OPN_ROOT_PATH . _OPN_CLASS_SOURCE_PATH . 'class.file.php');

include_once (_OPN_ROOT_PATH . 'include/module.build_pagebar.php');
include_once (_OPN_ROOT_PATH . 'modules/classifieds/api/api.php');
include_once (_OPN_ROOT_PATH . 'modules/classifieds/include/action_function.php');
include_once (_OPN_ROOT_PATH . 'modules/classifieds/plugin/user/admin/image_menu.php');
if (!defined ('_OPN_MAILER_INCLUDED') ) {
	include (_OPN_ROOT_PATH . _OPN_CLASS_SOURCE_PATH . 'mail/class.mail.php');
}
InitLanguage ('modules/classifieds/plugin/user/admin/language/');
$eh = new opn_errorhandler ();
$mf = new CatFunctions ('classifieds_product', false);
$mf->itemtable = $opnTables['classifieds_product'];
$mf->itemid = 'lid';
$mf->itemlinkm = 'cid';
$categories = new opn_categorie ('classifieds_product', 'classifieds_product');
$categories->SetModule ('modules/classifieds');
$categories->SetImagePath ($opnConfig['datasave']['classifieds_product_categorie']['path']);
$categories->SetItemID ('lid');
$categories->SetItemLink ('cid');
$categories->SetScriptname ('index');
$categories->SetWarning (_CLASSFIEDS_ADMIN_USER_WARNING);

function classifieds_Head (&$foot) {

	global $opnTables, $opnConfig;

	$ui = $opnConfig['permission']->GetUserinfo ();
	$uid = $ui['uid'];

	$opnConfig['opnOutput']->EnableJavaScript ();
	$opnConfig['opnOutput']->DisplayHead ();
	$boxtxt = '';
	$menu = new OPN_Adminmenu (_CLASSFIEDS_ADMIN_USER_CLASSFIEDS_ADMIN);
	$menu->InsertEntry (_CLASSFIEDS_ADMIN_USER_MAINPAGE, $opnConfig['opn_url'] . '/modules/classifieds/plugin/user/admin/index.php');
	$menu->InsertEntry (_CLASSFIEDS_ADMIN_USER_CLASSFIEDS_MODUL, $opnConfig['opn_url'] . '/modules/classifieds/index.php');

	$result = &$opnConfig['database']->Execute ('SELECT COUNT(rid) AS counter FROM ' . $opnTables['classifieds_product_mod']. ' WHERE (uid='.$uid.')');
	if (isset ($result->fields['counter']) ) {
		$totalmodrequests = $result->fields['counter'];
	} else {
		$totalmodrequests = 0;
	}
	if ($totalmodrequests>0) {
		$menu->InsertEntry (_CLASSFIEDS_ADMIN_USER_MODIFICATIONREQUEST . ' (' . $totalmodrequests . ')', array ($opnConfig['opn_url'] . '/modules/classifieds/plugin/user/admin/index.php','op' => 'listallmod') );
		$result->close ();
	}
	$menu->DisplayMenu ();
	unset ($menu);
	$result = &$opnConfig['database']->Execute ('SELECT COUNT(lid) AS counter FROM ' . $opnTables['classifieds_product'] . ' WHERE (uid='.$uid.')');
	if (isset ($result->fields['counter']) ) {
		$numrows = $result->fields['counter'];
	} else {
		$numrows = 0;
	}
	if ($numrows != 0) {
		$foot = _CLASSFIEDS_ADMIN_USER_THEREARE . ' <strong>' . $numrows . '</strong> ' . _CLASSFIEDS_ADMIN_USER_ENTRYINOURDATABASE;
	} else {
		$foot = '';
	}
	return $boxtxt;

}

function classifieds_delete ($lid) {

	global $opnConfig, $opnTables;

	$ui = $opnConfig['permission']->GetUserinfo ();
	$uid = $ui['uid'];

	$result = &$opnConfig['database']->Execute ('SELECT COUNT(lid) AS counter FROM ' . $opnTables['classifieds_product'] . ' WHERE (uid='.$uid.') AND (lid ='. $lid.')');
	if (isset ($result->fields['counter']) ) {
		$numrows = $result->fields['counter'];
	} else {
		$numrows = 0;
	}
	if ($numrows == 1) {
		if ($opnConfig['classifieds_autodelete'] == 1) {
			classifieds_delete_entry ($lid, true);
		} else {
			$query = 'UPDATE ' . $opnTables['classifieds_product'] . ' SET status=2 WHERE lid=' . $lid;
			$opnConfig['database']->Execute ($query);
		}
	}
}

function classifieds_delete_mod ($lid) {

	global $opnConfig, $opnTables;

	$ui = $opnConfig['permission']->GetUserinfo ();
	$uid = $ui['uid'];

	$result = &$opnConfig['database']->Execute ('SELECT COUNT(lid) AS counter FROM ' . $opnTables['classifieds_product'] . ' WHERE (uid='.$uid.') AND (lid ='. $lid.')');
	if (isset ($result->fields['counter']) ) {
		$numrows = $result->fields['counter'];
	} else {
		$numrows = 0;
	}
	if ($numrows == 1) {
		$query = 'DELETE FROM ' . $opnTables['classifieds_product_mod'] . ' WHERE lid=' . $lid;
		$opnConfig['database']->Execute ($query);
		$query = 'UPDATE ' . $opnTables['classifieds_product'] . ' SET status=1 WHERE lid=' . $lid;
		$opnConfig['database']->Execute ($query);
	}

}


function classifieds_listing () {

	global $opnTables, $opnConfig, $mf;

	// If there is a category, add a New Link
	$result = &$opnConfig['database']->Execute ('SELECT COUNT(cat_id) AS counter FROM ' . $opnTables['classifieds_product_cats']);
	if ( ($result !== false) && (isset ($result->fields['counter']) ) ) {
		$count_category = $result->fields['counter'];
	} else {
		$count_category = 0;
	}
	if ($count_category>0) {

	$offset = 0;
	get_var ('offset', $offset, 'url', _OOBJ_DTYPE_INT);
	$sortby = 'asc_lid';
	get_var (_OPN_VAR_TABLE_SORT_VAR, $sortby, 'url', _OOBJ_DTYPE_CLEAN);

	$ui = $opnConfig['permission']->GetUserinfo ();
	$uid = $ui['uid'];

	$progurl = array ($opnConfig['opn_url'] . '/modules/classifieds/plugin/user/admin/index.php','op' => 'listing');
	$newsortby = $sortby;
	$order = '';
	$table = new opn_TableClass ('alternator');
	$table->get_sort_order ($order, array ('lid','title','wdate', 'status'),$newsortby);
	$table->AddHeaderRow (array ($table->get_sort_feld ('lid', _CLASSFIEDS_ADMIN_USER_ID, $progurl), $table->get_sort_feld ('title', _CLASSFIEDS_API_TITLE, $progurl), $table->get_sort_feld ('wdate', _CLASSFIEDS_API_DATE, $progurl), $table->get_sort_feld ('status', _CLASSFIEDS_ADMIN_USER_STATUS, $progurl), _CLASSFIEDS_ADMIN_USER_FUNCTIONS) );
	$maxperpage = $opnConfig['opn_gfx_defaultlistrows'];
	$sql = 'SELECT COUNT(lid) AS counter FROM ' . $opnTables['classifieds_product'] . ' WHERE (lid>0) AND (uid='.$uid.')';
	$justforcounting = &$opnConfig['database']->Execute ($sql);
	if ( (is_object ($justforcounting) ) && (isset ($justforcounting->fields['counter']) ) ) {
		$reccount = $justforcounting->fields['counter'];
	} else {
		$reccount = 0;
	}
	unset ($justforcounting);
	$result = &$opnConfig['database']->SelectLimit ('SELECT lid, title, wdate, status FROM ' . $opnTables['classifieds_product'] . ' WHERE (lid>0) AND (uid='.$uid.')' . $order, $maxperpage, $offset);
	if ($result !== false) {
		while (! $result->EOF) {
			$lid = $result->fields['lid'];
			$title = $result->fields['title'];
			$status = $result->fields['status'];
			$wdate = $result->fields['wdate'];
			$opnConfig['opndate']->sqlToopnData ($wdate);
			$opnConfig['opndate']->formatTimestamp ($wdate, _DATE_DATESTRING4);

			$func = '';
			if ($status == 0) {
				$status_txt = _CLASSFIEDS_ADMIN_USER_WAITINGFOROK;
				$view = $opnConfig['defimages']->get_view_link (array ($opnConfig['opn_url'] . '/modules/classifieds/plugin/user/admin/index.php', 'op' => 'view', 'lid' => $lid) );
				$func = $view;
			} elseif ($status == 2) {
				$status_txt = _CLASSFIEDS_ADMIN_USER_WAITINGFORDELETE;
			} elseif ($status == 3) {
				$status_txt = _CLASSFIEDS_ADMIN_USER_WAITINGFORMODIFICATION;
			} else {
				$status_txt = _NONE;
				$edit = '';
				$del = '';
				$view = '';
				if ($opnConfig['permission']->HasRights ('modules/classifieds', array (_PERM_WRITE, _PERM_ADMIN), true) ) {
					$edit = $opnConfig['defimages']->get_edit_link (array ($opnConfig['opn_url'] . '/modules/classifieds/plugin/user/admin/index.php', 'op' => 'edit', 'lid' => $lid) );
					$del = $opnConfig['defimages']->get_delete_link (array ($opnConfig['opn_url'] . '/modules/classifieds/plugin/user/admin/index.php', 'op' => 'del', 'lid' => $lid) );
					$view = $opnConfig['defimages']->get_view_link (array ($opnConfig['opn_url'] . '/modules/classifieds/plugin/user/admin/index.php', 'op' => 'listingimages', 'lid' => $lid) );
				}
				$func = $edit.$del.$view;
			}

			$table->AddDataRow (array ($lid, $title, $wdate, $status_txt, $func), array ('center', 'center', 'center', 'center', 'center') );
			$result->MoveNext ();
		}
	}
	$boxtxt = '';
	$table->GetTable ($boxtxt);
	$boxtxt .= '<br /><br />';
	$boxtxt .= build_pagebar (array ($opnConfig['opn_url'] . '/modules/classifieds/plugin/user/admin/index.php',
					'op' => 'listing',
					'sortby' => $sortby),
					$reccount,
					$maxperpage,
					$offset);
	$boxtxt .= '<br /><br />';

		if ($opnConfig['permission']->HasRights ('modules/classifieds', array (_PERM_WRITE, _PERM_ADMIN), true) ) {

			$temp = array();
			api_classifieds_get_work_array ($temp);

			$opnConfig['opnOutput']->SetOnlineHelpFlag ('_OPNHELPID_MODULES_CLASSIFIEDS_60_' , 'modules/classifieds');
			$boxtxt .= '<h4>' . _CLASSFIEDS_ADMIN_USER_ADDNEWENTRY . '</h4>';
			$form = new opn_FormularClass ('listalternator');
			$form->Init ($opnConfig['opn_url'] . '/modules/classifieds/plugin/user/admin/index.php', 'post', '', 'multipart/form-data');
			$form->AddTable ();
			$form->AddCols (array ('10%', '90%') );

			api_classifieds_get_work_forum ($temp, $form);

			$form->AddChangeRow ();
			$form->AddLabel ('image_title', _CLASSFIEDS_ADMIN_USER_IMAGETITLE);
			$form->AddTextfield ('image_title', 50, 250);
			$form->AddOpenRow ();
			$form->AddLabel ('image_url', _CLASSFIEDS_ADMIN_USER_IMAGEURL);
			$form->AddTextfield ('image_url', 50, 250);
			$form->AddChangeRow ();
			$form->AddLabel ('userupload', _CLASSFIEDS_ADMIN_USER_IMAGEUPLOAD);
			$form->SetSameCol ();
			$form->AddFile ('userupload');
			$form->AddText ('&nbsp;max:&nbsp;' . $opnConfig['opn_upload_size_limit'] . '&nbsp;bytes');
			$form->SetEndCol ();

			$form->AddChangeRow ();
			$form->AddHidden ('op', 'add');
			$form->AddSubmit ('submit', _OPNLANG_ADDNEW);
			$form->AddCloseRow ();
			$form->AddTableClose ();
			$form->AddFormEnd ();
			$form->GetFormular ($boxtxt);

		}

	} else {

		$boxtxt = '<h4>' . _CLASSFIEDS_ADMIN_USER_NOT_NO_CAT . '</h4>';

	}
	return $boxtxt;

}

function classifieds_user_edit () {

	global $opnConfig, $opnTables, $eh;

	$lid = 0;
	get_var ('lid', $lid, 'url', _OOBJ_DTYPE_INT);

	$ui = $opnConfig['permission']->GetUserinfo ();
	$uid = $ui['uid'];

	$keys = '';
	api_classifieds_get_keys ($keys);
	$select = '';
	$opnConfig['opnSQL']->opn_make_select ($keys, $select);
	$boxtxt = '<h4>' . _CLASSFIEDS_ADMIN_USER_ENTRY_MODIFY . '</h4><br />';
	$result = &$opnConfig['database']->Execute ('SELECT ' . $select . ' FROM ' . $opnTables['classifieds_product'] . ' WHERE (lid=' . $lid.') AND (uid='.$uid.')');
	if ($result !== false) {

		$temp = array ();
		while (! $result->EOF) {
			$opnConfig['opnSQL']->get_result_array ($temp, $result, $keys);
			$result->MoveNext ();
		}
		echo print_array ($temp);
		if (!empty($temp)) {
			$form = new opn_FormularClass ('listalternator');
			$opnConfig['opnOutput']->SetOnlineHelpFlag ('_OPNHELPID_MODULES_CLASSIFIEDS_60_' , 'modules/classifieds');
			$form->Init ($opnConfig['opn_url'] . '/modules/classifieds/plugin/user/admin/index.php', 'post', '', 'multipart/form-data');
			$form->AddTable ();
			$form->AddCols (array ('20%', '80%') );
			$form->AddOpenRow ();
			$form->AddText (_CLASSFIEDS_ADMIN_USER_ID);
			$form->AddText ($temp['lid']);

			api_classifieds_get_work_forum ($temp, $form);

			$form->AddChangeRow ();
			$form->SetSameCol ();
			$form->AddHidden ('lid', $temp['lid']);
			$form->AddHidden ('op', 'addedit');
			$form->SetEndCol ();
			$form->SetSameCol ();
			$form->AddSubmit ('submity', _OPNLANG_MODIFY);
			$form->AddText ('&nbsp;');
			$form->AddSubmit ('op', _CLASSFIEDS_ADMIN_USER_DELETE);
			$form->AddText ('&nbsp;');
			$form->AddButton ('Back', _CLASSFIEDS_ADMIN_USER_CANCEL, '', '', 'javascript:history.go(-1)');
			$form->SetEndCol ();
			$form->AddCloseRow ();
			$form->AddTableClose ();
			$form->AddFormEnd ();
			$form->GetFormular ($boxtxt);
			$boxtxt .= '<br />' . _OPN_HTML_NL;
		}
	}
	return $boxtxt;

}

function classifieds_user_view () {

	global $opnConfig, $opnTables, $eh;

	$lid = 0;
	get_var ('lid', $lid, 'url', _OOBJ_DTYPE_INT);

	$ui = $opnConfig['permission']->GetUserinfo ();
	$uid = $ui['uid'];

	$keys = '';
	api_classifieds_get_keys ($keys);
	$select = '';
	$opnConfig['opnSQL']->opn_make_select ($keys, $select);
	$boxtxt = '<h4>' . _CLASSFIEDS_ADMIN_USER_ENTRY_VIEW . '</h4><br />';
	$result = &$opnConfig['database']->Execute ('SELECT ' . $select . ' FROM ' . $opnTables['classifieds_product'] . ' WHERE (lid=' . $lid.') AND (uid='.$uid.')');
	if ($result === false) {
		$eh->show ('OPN_0001');
	}
	$temp = array ();
	$opnConfig['opnSQL']->get_result_array ($temp,
								$result,
								$keys);
	$form = new opn_FormularClass ('listalternator');
	$opnConfig['opnOutput']->SetOnlineHelpFlag ('_OPNHELPID_MODULES_CLASSIFIEDS_60_' , 'modules/classifieds');
	$form->Init ($opnConfig['opn_url'] . '/modules/classifieds/plugin/user/admin/index.php');
	$form->AddTable ();
	$form->AddCols (array ('10%', '90%') );
	$form->AddOpenRow ();
	$form->AddText (_CLASSFIEDS_ADMIN_USER_ID);
	$form->AddText ($temp['lid']);

	api_classifieds_get_work_forum ($temp, $form);

	$form->AddCloseRow ();
	$form->AddTableClose ();
	$form->AddFormEnd ();
	$form->GetFormular ($boxtxt);
	$boxtxt .= '<br />' . _OPN_HTML_NL;
	return $boxtxt;

}

function classifieds_add () {

	global $opnConfig;

	$dat = array();
	api_classifieds_get_var ($dat, false);

	$ui = $opnConfig['permission']->GetUserinfo ();
	$dat['uid'] = $ui['uid'];

	if ($opnConfig['classifieds_autowrite'] == 1) {
		$dat['status'] = 1;
	}

	$opnConfig['opndate']->now ();
	$dat['wdate'] = '';
	$opnConfig['opndate']->opnDataTosql ($dat['wdate']);

	api_classifieds_add ($dat);

	$boxtxt = classifieds_image_add();
	$boxtxt = _CLASSFIEDS_ADMIN_USER_DATABASEUPDASUC;
	return $boxtxt;

}

function classifieds_addedit () {

	global $opnTables, $opnConfig;

	$lid = 0;
	get_var ('lid', $lid, 'form', _OOBJ_DTYPE_INT);

	$dat = array();
	api_classifieds_get_var ($dat, true);

	$ui = $opnConfig['permission']->GetUserinfo ();

	$opnConfig['opndate']->now ();
	$dat['wdate'] = '';
	$opnConfig['opndate']->opnDataTosql ($dat['wdate']);

	if ($opnConfig['classifieds_autowrite'] == 1) {

		$typs = '';
		api_classifieds_get_keys_typ ($typs);

		$keys = '';
		api_classifieds_get_keys ($keys, false);

		unset ($dat['lid']);
		unset ($dat['uid']);
		unset ($dat['status']);

		$opnConfig['opnSQL']->qstr_array ($dat, '', $typs);
		$update = '';
		$opnConfig['opnSQL']->opn_make_update ($keys, $dat, $update);
		$opnConfig['database']->Execute ('UPDATE ' . $opnTables['classifieds_product'] . " SET $update WHERE lid=$lid");

	}else {
		$dat['uid'] = $ui['uid'];


		api_classifieds_addmod ($dat);

		$query = 'UPDATE ' . $opnTables['classifieds_product'] . ' SET status=3 WHERE lid=' . $lid;
		$opnConfig['database']->Execute ($query);
	}

	$boxtxt = _CLASSFIEDS_ADMIN_USER_DATABASEUPDASUC;
	return $boxtxt;

}

function classifieds_listallmod () {

	global $opnTables, $opnConfig;

	$offset = 0;
	get_var ('offset', $offset, 'url', _OOBJ_DTYPE_INT);
	$sortby = 'asc_lid';
	get_var (_OPN_VAR_TABLE_SORT_VAR, $sortby, 'url', _OOBJ_DTYPE_CLEAN);

	$ui = $opnConfig['permission']->GetUserinfo ();
	$uid = $ui['uid'];

	$progurl = array ($opnConfig['opn_url'] . '/modules/classifieds/plugin/user/admin/index.php','op' => 'listallmod');
	$newsortby = $sortby;
	$order = '';
	$table = new opn_TableClass ('alternator');
	$table->get_sort_order ($order, array ('lid',
						'title',
						'wdate', 'status'),
						$newsortby);
	$table->AddHeaderRow (array ($table->get_sort_feld ('lid', _CLASSFIEDS_ADMIN_USER_ID, $progurl), $table->get_sort_feld ('title', _CLASSFIEDS_API_TITLE, $progurl), $table->get_sort_feld ('wdate', _CLASSFIEDS_API_DATE, $progurl), $table->get_sort_feld ('status', _CLASSFIEDS_ADMIN_USER_STATUS, $progurl), _CLASSFIEDS_ADMIN_USER_FUNCTIONS ) );
	$maxperpage = $opnConfig['opn_gfx_defaultlistrows'];
	$sql = 'SELECT COUNT(rid) AS counter FROM ' . $opnTables['classifieds_product_mod'] . ' WHERE (rid>0) AND (uid='.$uid.')';
	$justforcounting = &$opnConfig['database']->Execute ($sql);
	if ( (is_object ($justforcounting) ) && (isset ($justforcounting->fields['counter']) ) ) {
		$reccount = $justforcounting->fields['counter'];
	} else {
		$reccount = 0;
	}
	unset ($justforcounting);
	$result = &$opnConfig['database']->SelectLimit ('SELECT lid, title, wdate, status FROM ' . $opnTables['classifieds_product_mod'] . ' WHERE (lid>0) AND (uid='.$uid.')' . $order, $maxperpage, $offset);
	if ($result !== false) {
		while (! $result->EOF) {
			$lid = $result->fields['lid'];
			$title = $result->fields['title'];
			$wdate = $result->fields['wdate'];
			$status = $result->fields['status'];
			$opnConfig['opndate']->sqlToopnData ($wdate);
			$opnConfig['opndate']->formatTimestamp ($wdate, _DATE_DATESTRING4);
			$edit = '';
			$del = '';
			if ($status == 0) {
				$status_txt = _CLASSFIEDS_ADMIN_USER_WAITINGFOROK;
				$del = $opnConfig['defimages']->get_delete_link (array ($opnConfig['opn_url'] . '/modules/classifieds/plugin/user/admin/index.php', 'op' => 'delmod', 'lid' => $lid) );
			} elseif ($status == 2) {
				$status_txt = _CLASSFIEDS_ADMIN_USER_WAITINGFORDELETE;
			} else {
				$status_txt = _NONE;
			}
			$func = $edit.$del;
			$table->AddDataRow (array ($lid, $title, $wdate, $status_txt, $func) );
			$result->MoveNext ();
		}
	}
	$boxtxt = '';
	$table->GetTable ($boxtxt);
	$boxtxt .= '<br /><br />';
	$boxtxt .= build_pagebar (array ($opnConfig['opn_url'] . '/modules/classifieds/plugin/user/admin/index.php',
					'op' => 'listallmod',
					'sortby' => $sortby),
					$reccount,
					$maxperpage,
					$offset);
	$boxtxt .= '<br /><br />';
	return $boxtxt;

}


$op = '';
get_var ('op', $op, 'both', _OOBJ_DTYPE_CLEAN);
$ok = '';
get_var ('ok', $ok, 'both', _OOBJ_DTYPE_INT);

$foot = '';
$boxtxt = '';

classifieds_Head($foot);

switch ($op) {
	default:
		if ($opnConfig['permission']->HasRights ('modules/classifieds', array (_PERM_READ, _PERM_WRITE, _PERM_ADMIN), true) ) {
			$boxtxt .= classifieds_listing();
		}
		break;

	case 'edit':
		if ($opnConfig['permission']->HasRights ('modules/classifieds', array (_PERM_WRITE, _PERM_ADMIN), true) ) {
			$boxtxt .= classifieds_user_edit ();
		} else {
			$boxtxt .= classifieds_listing();
		}
		break;
	case 'view':
		if ($opnConfig['permission']->HasRights ('modules/classifieds', array (_PERM_READ, _PERM_ADMIN), true) ) {
			$boxtxt .= classifieds_user_view ();
		} else {
			$boxtxt .= classifieds_listing();
		}
		break;

	case 'addedit':
		if ($opnConfig['permission']->HasRights ('modules/classifieds', array (_PERM_WRITE, _PERM_ADMIN), true) ) {
			$boxtxt .= classifieds_addedit ();
		} else {
			$boxtxt .= classifieds_listing();
		}
		break;
	case 'add':
		if ($opnConfig['permission']->HasRights ('modules/classifieds', array (_PERM_WRITE, _PERM_ADMIN), true) ) {
			$boxtxt .= classifieds_add ();
		} else {
			$boxtxt .= classifieds_listing();
		}
		break;

	case 'listallmod':
		if ($opnConfig['permission']->HasRights ('modules/classifieds', array (_PERM_READ, _PERM_WRITE, _PERM_ADMIN), true) ) {
			$boxtxt .= classifieds_listallmod ();
		} else {
			$boxtxt .= classifieds_listing();
		}
		break;

	case 'del':
		if ($opnConfig['permission']->HasRights ('modules/classifieds', array (_PERM_WRITE, _PERM_ADMIN), true) ) {
			$lid = 0;
			get_var ('lid', $lid, 'both', _OOBJ_DTYPE_INT);
			classifieds_delete ($lid);
		}
		$boxtxt .= classifieds_listing();
		break;
	case 'delmod':
		if ($opnConfig['permission']->HasRights ('modules/classifieds', array (_PERM_WRITE, _PERM_ADMIN), true) ) {
			$lid = 0;
			get_var ('lid', $lid, 'both', _OOBJ_DTYPE_INT);
			classifieds_delete_mod ($lid);
		}
		$boxtxt .= classifieds_listing();
		break;

	case 'listingimages':
		if ($opnConfig['permission']->HasRights ('modules/classifieds', array (_PERM_WRITE, _PERM_ADMIN), true) ) {
			$boxtxt .= classifieds_image_listing ();
		}
		break;
	case 'addimage':
		if ($opnConfig['permission']->HasRights ('modules/classifieds', array (_PERM_WRITE, _PERM_ADMIN), true) ) {
			$boxtxt .= classifieds_image_add ();
		}
		break;
	case 'delimage':
		if ($opnConfig['permission']->HasRights ('modules/classifieds', array (_PERM_WRITE, _PERM_ADMIN), true) ) {
			$boxtxt .= classifieds_image_del ();
		}
		break;

}
if ($boxtxt != '') {

	$opnConfig['opnOutput']->SetDisplayVar ('title_help_id', '_OPNDOCID_PRO_CLASSFIEDS_ADMIN_USER_');
	$opnConfig['opnOutput']->SetDisplayVar ('module', 'modules/classifieds');
	$opnConfig['opnOutput']->SetDisplayVar (false, true, 1);

	$opnConfig['opnOutput']->DisplayCenterbox (_CLASSFIEDS_ADMIN_USER_CLASSFIEDS_ADMIN, $boxtxt, $foot);
	$opnConfig['opnOutput']->DisplayFoot ();
}

?>