<?php
/**
* OpenPHPNuke: Great Web Portal System
*
* Copyright (c) 2001-2013 by
* Heinz Hombergs
* Stefan Kaletta stefan@kaletta.de
* Alexander Weber xweber@kamelfreunde.de
*
* This program is free software. You can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation; either version 2 of the License.
* See LICENSE for details.
*
* This software is based on various code found in the internet
* See CREDITS for details
* If you are an author of a part of opn and not you are not mentioned
* SORRY for that ! We respect your rights to your code, so please send
* an eMail to devteam@openphpnuke.com we will include you to the CREDITS asap
*/
if (!defined ('_OPN_MAINFILE_INCLUDED') ) {
	include ('../../mainfile.php');
}
global $opnConfig, $opnTables;
if ($opnConfig['permission']->HasRights ('modules/classifieds', array (_PERM_READ, _PERM_BOT) ) ) {
	$opnConfig['module']->InitModule ('modules/classifieds');
	$opnConfig['opnOutput']->setMetaPageName ('modules/classifieds');
	include_once (_OPN_ROOT_PATH . 'modules/classifieds/api/api.php');
	include_once (_OPN_ROOT_PATH . 'modules/classifieds/functions.php');
	include_once (_OPN_ROOT_PATH . 'modules/classifieds/include/action_function.php');
	include_once (_OPN_ROOT_PATH . 'modules/classifieds/include/function_main.php');
	include_once (_OPN_ROOT_PATH . 'modules/classifieds/include/function_search.php');
	include_once (_OPN_ROOT_PATH . _OPN_CLASS_SOURCE_PATH . 'smarttemplate/class.smarttemplate.php');
	include_once (_OPN_ROOT_PATH . _OPN_CLASS_SOURCE_PATH . 'class.opn_categorie.functions.php');
	include_once (_OPN_ROOT_PATH . _OPN_CLASS_SOURCE_PATH . 'class.opn_categorienav.php');
	include_once (_OPN_ROOT_PATH . 'include/module.build_pagebar.php');
	InitLanguage ('modules/classifieds/language/');

	function classifieds_composesqlsearchstatement ($feld, $term) {

		global $opnConfig;

		$addquery = '';
		$terms = explode (' ', $term);
		$like_search = $opnConfig['opnSQL']->AddLike ($terms[0]);
		$addquery .= '(' . $feld . ' LIKE ' . $like_search;

		$size = count ($terms);
		for ($i = 1; $i< $size; $i++) {
			$like_search = $opnConfig['opnSQL']->AddLike ($terms[$i]);
			$addquery .= ' AND ' . $feld . ' LIKE ' . $like_search;
		}
		$addquery .= ')';
		return $addquery;

	}

	$eh = new opn_errorhandler ();

	$mf = new CatFunctions ('classifieds_product');
	$mf->itemtable = $opnTables['classifieds_product'];
	$mf->itemid = 'lid';
	$mf->itemlink = 'cid';
	$mf->itemwhere = '(status=1)';

	$min = 0;
	get_var ('min', $min, 'both', _OOBJ_DTYPE_INT);
	$term = '';
	get_var ('term', $term, 'both');
	$addterms = 'any';
	get_var ('addterms', $addterms, 'both', _OOBJ_DTYPE_CLEAN);
	$show = '';
	get_var ('show', $show, 'both', _OOBJ_DTYPE_CLEAN);
	$lookupid = '';
	get_var ('lookupid', $lookupid, 'both', _OOBJ_DTYPE_CLEAN);
	$cid = '';
	get_var ('cid', $cid, 'both', _OOBJ_DTYPE_INT);
	$op = '';
	get_var ('op', $op, 'both', _OOBJ_DTYPE_CLEAN);

	$offset = 0;
	get_var ('offset', $offset, 'url', _OOBJ_DTYPE_INT);
	$sortby = 'title';
	get_var (_OPN_VAR_TABLE_SORT_VAR, $sortby, 'url', _OOBJ_DTYPE_CLEAN);

	$boxtxt = '';
	$termextra = '';
	$max = $min + $opnConfig['classifieds_sresults'];

	$progurl = array ($opnConfig['opn_url'] . '/modules/classifieds/search.php','cid' => $cid);

	$newsortby = $sortby;
	$table = new opn_TableClass ('alternator');
	$order = '';
	$table->get_sort_order ($order, array ('title','cid','lid'), $newsortby);
	$hlp = ' ';
	$hlp .=  $table->get_sort_feld ('title', _CLASSFIEDS_API_TITLE, $progurl);
	$hlp .=  $table->get_sort_feld ('cid', _CLASSFIEDS_API_CATEGORY, $progurl);
	$hlp .=  $table->get_sort_feld ('lid', 'lid', $progurl);

	if ($show != '') {
		$opnConfig['classifieds_sresults'] = $show;
	} else {
		$show = $opnConfig['classifieds_sresults'];
	}
	$term = trim (urldecode ($term) );
	$term = $opnConfig['cleantext']->filter_searchtext ($term);
	if ($term == _CLASSFIEDS_SEARCHKEYWORD) {
		$term = '';
	}

	$sqlsearcher = '';
	$sqlsuffix = '';

	if ($term != '') {

		if ($boxtxt == '') {

			if ($term!='') {
				$sqlsearch = array ();
				$sqlsearch[] = classifieds_composesqlsearchstatement ('i.keywords', $term);
				$sqlsearch[] = classifieds_composesqlsearchstatement ('i.title', $term);
				$sqlsearch[] = classifieds_composesqlsearchstatement ('i.description', $term);
				$sqlsearch[] = classifieds_composesqlsearchstatement ('i.descriptionlong', $term);

				if (isset ($sqlsearch[0]) ) {
					$sqlsearcher .= $sqlsuffix.$sqlsearch[0];
					$size = count ($sqlsearch);
					for ($i = 1; $i< $size; $i++) {
						if ($addterms == 'any') {
							$sqlsearcher .= ' OR ';
						} else {
							$sqlsearcher .= ' AND ';
						}
						$sqlsearcher .= $sqlsearch[$i];
					}
					$sqlsuffix = ' AND ';
				}
			}

			if ($sqlsearcher != '') {
				$sqlsearcher = '( ' . $sqlsearcher . ' )';
				if ($cid != '') {
					$sqlsearcher .= ' AND i.cid=' . $cid;
				}

				$fullcount = $mf->GetItemCount ($sqlsearcher);
				$totalselectedclassifieds = $fullcount;
				$boxtxt = classifieds_header ();
				$boxtxt .= '<br /><br />';
				if ($fullcount>0) {
					$geourlparams['term'] = $term;
					$orderbyDB = '';
					$keys = '';
					api_classifieds_get_keys ($keys);
					$keys_txt = '';
					api_classifieds_get_keys_txt ($keys_txt);

					$result = $mf->GetItemLimit ($keys,
						array (),
						$opnConfig['classifieds_sresults'],
						$sqlsearcher,
						$min);
					$nrows = $result->RecordCount ();
					$x = 0;
					if ($nrows>0) {
						$boxtxt .= '<br />&nbsp;<strong>' . $fullcount . _CLASSFIEDS_MATCHESFOUNDFOR . $term . $termextra . '</strong><br />';

						$boxtxt .= classifieds_show_short($result);

					} else {
						$boxtxt .= '<div class="alerttext" align="center">' . _CLASSFIEDS_NOMATCHENSFOUNDTOYOURQUERY . '</div><br /><br />';
					}
					// Calculates how many pages exist.  Which page one should be on, etc...
					$linkpagesint = ($totalselectedclassifieds/ $opnConfig['classifieds_sresults']);
					$linkpageremainder = ($totalselectedclassifieds% $opnConfig['classifieds_sresults']);
					if ($linkpageremainder != 0) {
						$linkpages = ceil ($linkpagesint);
						if ($totalselectedclassifieds<$opnConfig['classifieds_sresults']) {
							$linkpageremainder = 0;
						}
					} else {
						$linkpages = $linkpagesint;
					}
					// Page Numbering
					if ($linkpages != 1 && $linkpages != 0) {
						$geourlparams['orderby'] = $order;
						$geourlparams['show'] = $show;
						$boxtxt .= '<br /><br />';
						$boxtxt .= 'Select page:&nbsp;&nbsp;';
						$prev = $min- $opnConfig['classifieds_sresults'];
						if ($prev >= 0) {
							$geourlparams['min'] = $prev;
							$boxtxt .= '&nbsp;<a href="' . encodeurl ($geourlparams) . '">';
							$boxtxt .= '<strong>[&lt;&lt; ' . _CLASSFIEDS_PREVIOUS . ' ]</strong></a>&nbsp;';
						}
						$counter = 1;
						$currentpage = ($max/ $opnConfig['classifieds_sresults']);
						while ($counter<= $linkpages) {
							$cpage = $counter;
							$mintemp = ($opnConfig['classifieds_perpage']* $counter)- $opnConfig['classifieds_sresults'];
							if ($counter == $currentpage) {
								$boxtxt .= '<strong>' . $counter . '</strong>&nbsp;';
							} else {
								$geourlparams['min'] = $mintemp;
								$boxtxt .= '<a href="' . encodeurl ($geourlparams) . '">' . $counter . '</a>&nbsp;';
							}
							$counter++;
						}
						$next = $min+ $opnConfig['classifieds_sresults'];
						if ($x >= $opnConfig['classifieds_perpage']) {
							$geourlparams['min'] = $max;
							$boxtxt .= '&nbsp;<a href="' . encodeurl ($geourlparams) . '">';
							$boxtxt .= '<strong>[ ' . _CLASSFIEDS_NEXT . ' &gt;&gt;]</strong></a>';
						}
					}
				} else {
					$boxtxt .= '<div class="alerttext" align="center">' . _CLASSFIEDS_NOMATCHENSFOUNDTOYOURQUERY . '</div><br /><br />';
				}
			}
		}
	}

	if ($boxtxt == '') {
		// seems that we do not have something to search for, so lets report this to the user
		$keys = '';
		api_classifieds_get_keys ($keys);
		$temp = array();
		api_classifieds_get_work_array ($temp,false);

		$boxtxt = classifieds_header (1, 1);
		$boxtxt .= '<br /><br />' . _OPN_HTML_NL;
		$boxtxt .= '<div class="alerttext" align="center">' . _CLASSFIEDS_NOTHINGTOSEARCHFOR . '</div><br /><br />';
	}


	$opnConfig['opnOutput']->SetDisplayVar ('title_help_id', '_OPNDOCID_MODULES_BRANCHEN_230_');
	$opnConfig['opnOutput']->SetDisplayVar ('module', 'modules/classifieds');
	$opnConfig['opnOutput']->SetDisplayVar (false, true, 1);

	$opnConfig['opnOutput']->DisplayContent ('', $boxtxt);
}

?>